// Copyright 2000-2023 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license.
package com.intellij.icons;

import com.intellij.ui.IconManager;
import org.jetbrains.annotations.NotNull;

import javax.swing.*;

import org.jetbrains.annotations.ApiStatus.ScheduledForRemoval;

/**
 * NOTE THIS FILE IS AUTO-GENERATED
 * DO NOT EDIT IT BY HAND, run "Generate icon classes" configuration instead
 */
public class AllIcons {
  private static @NotNull Icon load(@NotNull String path, int cacheKey, int flags) {
    return IconManager.getInstance().loadRasterizedIcon(path, AllIcons.class.getClassLoader(), cacheKey, flags);
  }

  public static final class Actions {
    /** 16x16 */ public static final @NotNull Icon AddFile = load("actions/addFile.svg", -1309383616, 2);
    /** 16x16 */ public static final @NotNull Icon AddList = load("actions/addList.svg", 1422911161, 2);
    /** 16x16 */ public static final @NotNull Icon AddMulticaret = load("actions/AddMulticaret.svg", 366972351, 2);
    /** 16x16 */ public static final @NotNull Icon AddToDictionary = load("actions/addToDictionary.svg", 1713536674, 2);
    /** 16x16 */ public static final @NotNull Icon Annotate = load("actions/annotate.svg", -161195553, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowCollapse = load("actions/arrowCollapse.svg", -1515507447, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowExpand = load("actions/arrowExpand.svg", 1559612194, 2);
    /** 16x16 */ public static final @NotNull Icon Back = load("actions/back.svg", 1037131801, 2);
    /** 16x16 */ public static final @NotNull Icon BuildAutoReloadChanges = load("actions/buildAutoReloadChanges.svg", -280059446, 2);
    /** 16x16 */ public static final @NotNull Icon BuildLoadChanges = load("actions/buildLoadChanges.svg", -1599478645, 2);
    /** 16x16 */ public static final @NotNull Icon Cancel = load("actions/cancel.svg", 1103062677, 2);
    /** 16x16 */ public static final @NotNull Icon ChangeView = load("actions/changeView.svg", 772592862, 2);
    /** 12x12 */ public static final @NotNull Icon Checked = load("actions/checked.svg", -1803406652, 0);
    /** 12x12 */ public static final @NotNull Icon Checked_selected = load("actions/checked_selected.svg", -548291107, 0);
    /** 16x16 */ public static final @NotNull Icon CheckMulticaret = load("actions/CheckMulticaret.svg", 260422549, 2);
    /** 16x16 */ public static final @NotNull Icon CheckOut = load("actions/checkOut.svg", 215208387, 2);
    /** 16x16 */ public static final @NotNull Icon Close = load("actions/close.svg", 1076135939, 0);
    /** 16x16 */ public static final @NotNull Icon CloseDarkGrey = load("actions/closeDarkGrey.svg", -550045194, 2);
    /** 16x16 */ public static final @NotNull Icon CloseHovered = load("actions/closeHovered.svg", 317012551, 0);
    /** 16x16 */ public static final @NotNull Icon Collapseall = load("actions/collapseall.svg", 294044367, 2);
    /** 16x16 */ public static final @NotNull Icon Colors = load("actions/colors.svg", 1358014195, 2);
    /** 16x16 */ public static final @NotNull Icon Commit = load("actions/commit.svg", -1387460002, 2);
    /** 16x16 */ public static final @NotNull Icon Compile = load("actions/compile.svg", 748785542, 2);
    /** 16x16 */ public static final @NotNull Icon Copy = load("actions/copy.svg", 951974591, 2);
    /** 16x16 */ public static final @NotNull Icon DeleteTag = load("actions/deleteTag.svg", -901279482, 2);
    /** 16x16 */ public static final @NotNull Icon DeleteTagHover = load("actions/deleteTagHover.svg", 1322839837, 2);
    /** 16x16 */ public static final @NotNull Icon DependencyAnalyzer = load("actions/dependencyAnalyzer.svg", 846204472, 2);
    /** 16x16 */ public static final @NotNull Icon DiagramDiff = load("actions/diagramDiff.svg", 2039830450, 2);
    /** 16x16 */ public static final @NotNull Icon Diff = load("actions/diff.svg", -1408834358, 2);
    /** 16x17 */ public static final @NotNull Icon DiffWithClipboard = load("actions/diffWithClipboard.svg", 1338830104, 2);
    /** 16x16 */ public static final @NotNull Icon Download = load("actions/download.svg", 1607211219, 2);
    /** 16x16 */ public static final @NotNull Icon Dump = load("actions/dump.svg", -1633198812, 2);
    /** 16x16 */ public static final @NotNull Icon DynamicUsages = load("actions/dynamicUsages.svg", -84075993, 2);
    /** 16x16 */ public static final @NotNull Icon Edit = load("actions/edit.svg", -1253654087, 2);
    /** 16x16 */ public static final @NotNull Icon EditScheme = load("actions/editScheme.svg", 356615607, 2);
    /** 16x16 */ public static final @NotNull Icon EditSource = load("actions/editSource.svg", -1793495184, 2);
    /** 16x16 */ public static final @NotNull Icon EnableNewUi = load("actions/enableNewUi.svg", 1145610884, 0);
    /** 16x16 */ public static final @NotNull Icon EnableNewUiSelected = load("actions/enableNewUiSelected.svg", -1417821710, 0);
    /** 16x16 */ public static final @NotNull Icon Execute = load("actions/execute.svg", -1785415525, 10);
    /** 16x16 */ public static final @NotNull Icon Exit = load("actions/exit.svg", -837971561, 2);
    /** 16x16 */ public static final @NotNull Icon Expandall = load("actions/expandall.svg", 1240410990, 2);
    /** 16x16 */ public static final @NotNull Icon Find = load("actions/find.svg", 171208859, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowNextMatches = load("actions/findAndShowNextMatches.svg", 1865523770, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowNextMatchesSmall = load("actions/findAndShowNextMatchesSmall.svg", 1993682089, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowPrevMatches = load("actions/findAndShowPrevMatches.svg", 11240583, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowPrevMatchesSmall = load("actions/findAndShowPrevMatchesSmall.svg", 270613268, 2);
    /** 16x16 */ public static final @NotNull Icon FindBackward = load("actions/findBackward.svg", -802622656, 2);
    /** 16x16 */ public static final @NotNull Icon FindEntireFile = load("actions/findEntireFile.svg", 722052617, 2);
    /** 16x16 */ public static final @NotNull Icon FindForward = load("actions/findForward.svg", 1301821610, 2);
    /** 16x16 */ public static final @NotNull Icon ForceRefresh = load("actions/forceRefresh.svg", -691429204, 2);
    /** 16x16 */ public static final @NotNull Icon Forward = load("actions/forward.svg", -1796032633, 2);
    /** 16x16 */ public static final @NotNull Icon GC = load("actions/gc.svg", -608648802, 2);
    /** 16x16 */ public static final @NotNull Icon GeneratedFolder = load("actions/generatedFolder.svg", -261233530, 2);
    /** 16x16 */ public static final @NotNull Icon GroupBy = load("actions/groupBy.svg", 1284858429, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByClass = load("actions/GroupByClass.svg", -837736217, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByFile = load("actions/GroupByFile.svg", 535910592, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByMethod = load("actions/groupByMethod.svg", 1673259368, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByModule = load("actions/GroupByModule.svg", -1704818964, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByModuleGroup = load("actions/GroupByModuleGroup.svg", -1744922295, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByPackage = load("actions/GroupByPackage.svg", 1585967275, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByPrefix = load("actions/GroupByPrefix.svg", -910717613, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByTestProduction = load("actions/groupByTestProduction.svg", -593650590, 2);
    /** 16x16 */ public static final @NotNull Icon Help = load("actions/help.svg", -56547291, 2);
    /** 16x16 */ public static final @NotNull Icon Highlighting = load("actions/highlighting.svg", -1450383283, 2);
    /** 9x5 */ public static final @NotNull Icon InlayDropTriangle = load("actions/inlayDropTriangle.svg", -727994914, 0);
    /** 12x12 */ public static final @NotNull Icon InlayGear = load("actions/inlayGear.svg", -1933621211, 0);
    /** 12x12 */ public static final @NotNull Icon InlayGlobe = load("actions/inlayGlobe.svg", 642950033, 0);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInComments = load("actions/inlayRenameInComments.svg", 496619962, 0);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInCommentsActive = load("actions/inlayRenameInCommentsActive.svg", -12645693, 2);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInNoCodeFiles = load("actions/inlayRenameInNoCodeFiles.svg", 1146827215, 0);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInNoCodeFilesActive = load("actions/inlayRenameInNoCodeFilesActive.svg", 1330499262, 2);
    /** 12x12 */ public static final @NotNull Icon InlaySecuredShield = load("actions/inlaySecuredShield.svg", 904190244, 0);
    /** 12x12 */ public static final @NotNull Icon InlineDropFrame = load("actions/inlineDropFrame.svg", -1403280875, 2);
    /** 12x12 */ public static final @NotNull Icon InlineDropFrameSelected = load("actions/inlineDropFrameSelected.svg", 1852607190, 2);
    /** 16x16 */ public static final @NotNull Icon InSelection = load("actions/inSelection.svg", 1931809310, 2);
    /** 16x16 */ public static final @NotNull Icon Install = load("actions/install.svg", 345931648, 2);
    /** 16x16 */ public static final @NotNull Icon IntentionBulb = load("actions/intentionBulb.svg", -1715508577, 2);
    /** 16x16 */ public static final @NotNull Icon IntentionBulbGrey = load("actions/intentionBulbGrey.svg", -51570496, 2);
    /** 16x16 */ public static final @NotNull Icon Lightning = load("actions/lightning.svg", 1702448949, 2);
    /** 16x16 */ public static final @NotNull Icon ListChanges = load("actions/listChanges.svg", 1733785552, 2);
    /** 16x16 */ public static final @NotNull Icon ListFiles = load("actions/listFiles.svg", -699548734, 2);
    /** 16x16 */ public static final @NotNull Icon MatchCase = load("actions/matchCase.svg", -603801284, 0);
    /** 16x16 */ public static final @NotNull Icon MatchCaseHovered = load("actions/matchCaseHovered.svg", 790989319, 0);
    /** 16x16 */ public static final @NotNull Icon MatchCaseSelected = load("actions/matchCaseSelected.svg", -192244846, 0);
    /** 16x16 */ public static final @NotNull Icon MenuCut = load("actions/menu-cut.svg", 1144545904, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_cut = MenuCut;
    /** 16x16 */ public static final @NotNull Icon MenuOpen = load("actions/menu-open.svg", -1843226774, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_open = MenuOpen;
    /** 16x16 */ public static final @NotNull Icon MenuPaste = load("actions/menu-paste.svg", -191580610, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_paste = MenuPaste;
    /** 16x16 */ public static final @NotNull Icon MenuSaveall = load("actions/menu-saveall.svg", -1215930935, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_saveall = MenuSaveall;
    /** 16x16 */ public static final @NotNull Icon Minimap = load("actions/minimap.svg", 1274925071, 2);
    /** 16x16 */ public static final @NotNull Icon ModuleDirectory = load("actions/moduleDirectory.svg", -661844835, 2);
    /** 16x16 */ public static final @NotNull Icon More = load("actions/more.svg", 993436814, 10);
    /** 16x16 */ public static final @NotNull Icon MoreHorizontal = load("actions/moreHorizontal.svg", 486893657, 2);
    /** 12x12 */ public static final @NotNull Icon MoveToButton = load("actions/move-to-button.svg", -977817991, 2);
    /** 16x16 */ public static final @NotNull Icon MoveDown = load("actions/moveDown.svg", 148996297, 2);
    /** 16x16 */ public static final @NotNull Icon MoveTo2 = load("actions/MoveTo2.svg", -1072987890, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToBottomLeft = load("actions/moveToBottomLeft.svg", -1610214236, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToBottomRight = load("actions/moveToBottomRight.svg", 39814740, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToLeftBottom = load("actions/moveToLeftBottom.svg", -380663876, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToLeftTop = load("actions/moveToLeftTop.svg", 1857756315, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToRightBottom = load("actions/moveToRightBottom.svg", -1051202033, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToRightTop = load("actions/moveToRightTop.svg", -113836226, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToTopLeft = load("actions/moveToTopLeft.svg", -1484221736, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToTopRight = load("actions/moveToTopRight.svg", 312387093, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToWindow = load("actions/moveToWindow.svg", 1139550789, 2);
    /** 16x16 */ public static final @NotNull Icon MoveUp = load("actions/moveUp.svg", 591874406, 2);
    /** 16x16 */ public static final @NotNull Icon New = load("actions/new.svg", 884852087, 2);
    /** 16x16 */ public static final @NotNull Icon NewFolder = load("actions/newFolder.svg", -1156682812, 2);
    /** 16x16 */ public static final @NotNull Icon NextOccurence = load("actions/nextOccurence.svg", -2082205614, 2);
    /** 16x16 */ public static final @NotNull Icon OfflineMode = load("actions/offlineMode.svg", 1037199039, 2);
    /** 16x16 */ public static final @NotNull Icon OpenNewTab = load("actions/openNewTab.svg", -1993736334, 2);
    /** 16x16 */ public static final @NotNull Icon Pause = load("actions/pause.svg", -1882171887, 2);
    /** 16x16 */ public static final @NotNull Icon PinTab = load("actions/pinTab.svg", -1738171777, 0);
    /** 16x16 */ public static final @NotNull Icon Play_back = load("actions/play_back.svg", 569089179, 2);
    /** 16x16 */ public static final @NotNull Icon Play_first = load("actions/play_first.svg", 547041516, 2);
    /** 16x16 */ public static final @NotNull Icon Play_forward = load("actions/play_forward.svg", 1081172168, 2);
    /** 16x16 */ public static final @NotNull Icon Play_last = load("actions/play_last.svg", 1366668490, 2);
    /** 16x16 */ public static final @NotNull Icon PopFrame = load("actions/popFrame.svg", 1959926838, 2);
    /** 16x16 */ public static final @NotNull Icon PreserveCase = load("actions/preserveCase.svg", -298446799, 0);
    /** 16x16 */ public static final @NotNull Icon PreserveCaseHover = load("actions/preserveCaseHover.svg", -392627374, 0);
    /** 16x16 */ public static final @NotNull Icon PreserveCaseSelected = load("actions/preserveCaseSelected.svg", -1330788385, 0);
    /** 16x16 */ public static final @NotNull Icon PrettyPrint = load("actions/prettyPrint.svg", 1080652229, 2);
    /** 16x16 */ public static final @NotNull Icon Preview = load("actions/preview.svg", 683405387, 2);
    /** 16x16 */ public static final @NotNull Icon PreviewDetails = load("actions/previewDetails.svg", 1821674892, 2);
    /** 16x16 */ public static final @NotNull Icon PreviewDetailsVertically = load("actions/previewDetailsVertically.svg", 1285929307, 2);
    /** 16x16 */ public static final @NotNull Icon PreviousOccurence = load("actions/previousOccurence.svg", 18977254, 2);
    /** 16x16 */ public static final @NotNull Icon Profile = load("actions/profile.svg", -1442488019, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileBlue = load("actions/profileBlue.svg", -914547170, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileCPU = load("actions/profileCPU.svg", 2137297656, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileMemory = load("actions/profileMemory.svg", 2136231568, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileRed = load("actions/profileRed.svg", 1148909576, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileYellow = load("actions/profileYellow.svg", 1873875821, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectDirectory = load("actions/projectDirectory.svg", 1772428816, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectWideAnalysisOff = load("actions/projectWideAnalysisOff.svg", 1472196064, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectWideAnalysisOn = load("actions/projectWideAnalysisOn.svg", -911927713, 2);
    /** 16x16 */ public static final @NotNull Icon Properties = load("actions/properties.svg", -1813738558, 2);
    /** 16x16 */ public static final @NotNull Icon QuickfixBulb = load("actions/quickfixBulb.svg", -585499748, 2);
    /** 16x16 */ public static final @NotNull Icon QuickfixOffBulb = load("actions/quickfixOffBulb.svg", -1165137, 2);
    /** 16x16 */ public static final @NotNull Icon RealIntentionBulb = load("actions/realIntentionBulb.svg", -678757893, 2);
    /** 16x16 */ public static final @NotNull Icon Redo = load("actions/redo.svg", 323575196, 2);
    /** 16x16 */ public static final @NotNull Icon RefactoringBulb = load("actions/refactoringBulb.svg", -872381384, 2);
    /** 16x16 */ public static final @NotNull Icon Refresh = load("actions/refresh.svg", -880819783, 2);
    /** 16x16 */ public static final @NotNull Icon Regex = load("actions/regex.svg", -335143540, 0);
    /** 16x16 */ public static final @NotNull Icon RegexHovered = load("actions/regexHovered.svg", -1042434687, 0);
    /** 16x16 */ public static final @NotNull Icon RegexSelected = load("actions/regexSelected.svg", 2067275405, 0);
    /** 16x16 */ public static final @NotNull Icon RemoveMulticaret = load("actions/RemoveMulticaret.svg", 648682833, 2);
    /** 16x16 */ public static final @NotNull Icon Replace = load("actions/replace.svg", 1091051282, 2);
    /** 16x16 */ public static final @NotNull Icon Rerun = load("actions/rerun.svg", 1092036539, 10);
    /** 16x16 */ public static final @NotNull Icon Restart = load("actions/restart.svg", 178799144, 2);
    /** 16x16 */ public static final @NotNull Icon RestartDebugger = load("actions/restartDebugger.svg", -500527973, 10);
    /** 16x16 */ public static final @NotNull Icon RestartFrame = load("actions/restartFrame.svg", 453382399, 2);
    /** 16x16 */ public static final @NotNull Icon Resume = load("actions/resume.svg", 451008551, 2);
    /** 16x16 */ public static final @NotNull Icon Rollback = load("actions/rollback.svg", -1402636905, 2);
    /** 16x16 */ public static final @NotNull Icon Run_anything = load("actions/run_anything.svg", -1681165638, 2);
    /** 16x16 */ public static final @NotNull Icon RunAll = load("actions/runAll.svg", 1140576526, 2);
    /** 16x16 */ public static final @NotNull Icon RunToCursor = load("actions/runToCursor.svg", -1494042884, 2);
    /** 16x16 */ public static final @NotNull Icon Scratch = load("actions/scratch.svg", -2012976026, 2);
    /** 16x16 */ public static final @NotNull Icon Search = load("actions/search.svg", -2005723851, 0);
    /** 16x16 */ public static final @NotNull Icon SearchNewLine = load("actions/searchNewLine.svg", -1966107907, 0);
    /** 16x16 */ public static final @NotNull Icon SearchNewLineHover = load("actions/searchNewLineHover.svg", 166749183, 0);
    /** 16x16 */ public static final @NotNull Icon SearchWithHistory = load("actions/searchWithHistory.svg", 171663260, 0);
    /** 16x16 */ public static final @NotNull Icon Selectall = load("actions/selectall.svg", -426531682, 2);
    /** 16x16 */ public static final @NotNull Icon SetDefault = load("actions/setDefault.svg", -1048158265, 2);
    /** 14x14 */ public static final @NotNull Icon Share = load("actions/share.png", 0, 1);
    /** 16x16 */ public static final @NotNull Icon ShortcutFilter = load("actions/shortcutFilter.svg", -858626827, 2);
    /** 16x16 */ public static final @NotNull Icon Show = load("actions/show.svg", -1816573410, 2);
    /** 16x16 */ public static final @NotNull Icon ShowAsTree = load("actions/showAsTree.svg", -983662763, 2);
    /** 16x16 */ public static final @NotNull Icon ShowCode = load("actions/showCode.svg", 644740518, 2);
    /** 16x16 */ public static final @NotNull Icon ShowImportStatements = load("actions/showImportStatements.svg", -443354742, 2);
    /** 16x16 */ public static final @NotNull Icon ShowReadAccess = load("actions/showReadAccess.svg", -619293991, 2);
    /** 16x16 */ public static final @NotNull Icon ShowWriteAccess = load("actions/showWriteAccess.svg", -451503561, 2);
    /** 16x16 */ public static final @NotNull Icon SplitHorizontally = load("actions/splitHorizontally.svg", -824946297, 2);
    /** 16x16 */ public static final @NotNull Icon SplitVertically = load("actions/splitVertically.svg", 103226403, 2);
    /** 16x16 */ public static final @NotNull Icon StartDebugger = load("actions/startDebugger.svg", -674583169, 10);
    /** 16x16 */ public static final @NotNull Icon StartMemoryProfile = load("actions/startMemoryProfile.svg", 73492188, 2);
    /** 16x16 */ public static final @NotNull Icon StepOut = load("actions/stepOut.svg", 1485995588, 2);
    /** 16x16 */ public static final @NotNull Icon StepOutCodeBlock = load("actions/stepOutCodeBlock.svg", -1250144794, 2);
    /** 16x16 */ public static final @NotNull Icon StopRefresh = load("actions/stopRefresh.svg", -261534444, 2);
    /** 16x16 */ public static final @NotNull Icon Stub = load("actions/stub.svg", -829173238, 2);
    /** 16x16 */ public static final @NotNull Icon SuggestedRefactoringBulb = load("actions/suggestedRefactoringBulb.svg", 862669826, 2);
    /** 16x16 */ public static final @NotNull Icon Suspend = load("actions/suspend.svg", -129350448, 10);
    /** 16x16 */ public static final @NotNull Icon SwapPanels = load("actions/swapPanels.svg", -109294938, 2);
    /** 16x16 */ public static final @NotNull Icon SynchronizeScrolling = load("actions/synchronizeScrolling.svg", -799280279, 2);
    /** 16x16 */ public static final @NotNull Icon SyncPanels = load("actions/syncPanels.svg", 919163280, 2);
    /** 16x16 */ public static final @NotNull Icon ToggleSoftWrap = load("actions/toggleSoftWrap.svg", 1328408769, 2);
    /** 16x16 */ public static final @NotNull Icon ToggleVisibility = load("actions/toggleVisibility.svg", -740176985, 2);
    /** 16x16 */ public static final @NotNull Icon TraceInto = load("actions/traceInto.svg", 1487523038, 2);
    /** 16x16 */ public static final @NotNull Icon TraceOver = load("actions/traceOver.svg", -522454293, 2);
    /** 16x16 */ public static final @NotNull Icon Undo = load("actions/undo.svg", 1594742912, 2);
    /** 16x16 */ public static final @NotNull Icon Uninstall = load("actions/uninstall.svg", -381531496, 2);
    /** 16x16 */ public static final @NotNull Icon Unselectall = load("actions/unselectall.svg", 62752988, 2);
    /** 14x14 */ public static final @NotNull Icon Unshare = load("actions/unshare.png", 0, 1);
    /** 16x16 */ public static final @NotNull Icon Upload = load("actions/upload.svg", -1669144919, 2);
    /** 16x16 */ public static final @NotNull Icon Words = load("actions/words.svg", 1648055349, 0);
    /** 16x16 */ public static final @NotNull Icon WordsHovered = load("actions/wordsHovered.svg", -1193053876, 0);
    /** 16x16 */ public static final @NotNull Icon WordsSelected = load("actions/wordsSelected.svg", -2133467313, 0);

    /** @deprecated to be removed (use expandable text field instead, see https://jetbrains.design/intellij/controls/built_in_button/) */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval
    public static final @NotNull Icon ShowViewer = load("actions/showViewer.png", 0, 0);
  }

  public static final class Chooser {
    /** 16x16 */ public static final @NotNull Icon Bottom = load("chooser/bottom.svg", -894236043, 2);
    /** 16x16 */ public static final @NotNull Icon Left = load("chooser/left.svg", 94346835, 2);
    /** 16x16 */ public static final @NotNull Icon Right = load("chooser/right.svg", 439517626, 2);
    /** 16x16 */ public static final @NotNull Icon Top = load("chooser/top.svg", -1628824770, 2);
  }

  public static final class CodeStyle {
    /** 16x16 */ public static final @NotNull Icon AddNewSectionRule = load("codeStyle/AddNewSectionRule.svg", -647539894, 2);
  }

  public static final class CodeWithMe {
    /** 16x16 */ public static final @NotNull Icon CwmAccess = load("codeWithMe/cwmAccess.svg", 453586888, 2);
    /** 12x16 */ public static final @NotNull Icon CwmAccessDotOff = load("codeWithMe/cwmAccessDotOff.svg", -1275436600, 2);
    /** 12x16 */ public static final @NotNull Icon CwmAccessDotOn = load("codeWithMe/cwmAccessDotOn.svg", 568258364, 2);
    /** 16x16 */ public static final @NotNull Icon CwmAccessOff = load("codeWithMe/cwmAccessOff.svg", -1242208211, 2);
    /** 16x16 */ public static final @NotNull Icon CwmAccessOn = load("codeWithMe/cwmAccessOn.svg", -167567982, 2);
    /** 16x16 */ public static final @NotNull Icon CwmCamOff = load("codeWithMe/cwmCamOff.svg", -556709703, 2);
    /** 16x16 */ public static final @NotNull Icon CwmCamOn = load("codeWithMe/cwmCamOn.svg", -1294896801, 2);
    /** 16x16 */ public static final @NotNull Icon CwmDisableCall = load("codeWithMe/cwmDisableCall.svg", -1441409248, 2);
    /** 16x16 */ public static final @NotNull Icon CwmEnableCall = load("codeWithMe/cwmEnableCall.svg", -1760277338, 2);
    /** 16x16 */ public static final @NotNull Icon CwmFollow = load("codeWithMe/cwmFollow.svg", -1808813406, 2);
    /** 16x16 */ public static final @NotNull Icon CwmFollowMe = load("codeWithMe/cwmFollowMe.svg", 811814972, 2);
    /** 16x16 */ public static final @NotNull Icon CwmForceFollowMe = load("codeWithMe/cwmForceFollowMe.svg", -509543393, 2);
    /** 16x16 */ public static final @NotNull Icon CwmFullSync = load("codeWithMe/cwmFullSync.svg", -2000485691, 2);
    /** 17x17 */ public static final @NotNull Icon CwmIconModificator = load("codeWithMe/cwmIconModificator.svg", -1752582890, 2);
    /** 16x16 */ public static final @NotNull Icon CwmInvite = load("codeWithMe/cwmInvite.svg", -905676198, 2);
    /** 16x16 */ public static final @NotNull Icon CwmJoin = load("codeWithMe/cwmJoin.svg", -1554366479, 2);
    /** 16x16 */ public static final @NotNull Icon CwmJump = load("codeWithMe/cwmJump.svg", 1936920267, 2);
    /** 16x16 */ public static final @NotNull Icon CwmKick = load("codeWithMe/cwmKick.svg", 1109127728, 2);
    /** 16x16 */ public static final @NotNull Icon CwmLeaveCall = load("codeWithMe/cwmLeaveCall.svg", -1192147167, 2);
    /** 16x16 */ public static final @NotNull Icon CwmLogoToolbar = load("codeWithMe/cwmLogoToolbar.svg", 1578799311, 0);
    /** 16x16 */ public static final @NotNull Icon CwmMicOff = load("codeWithMe/cwmMicOff.svg", 1405002362, 2);
    /** 16x16 */ public static final @NotNull Icon CwmMicOn = load("codeWithMe/cwmMicOn.svg", -633257639, 2);
    /** 16x16 */ public static final @NotNull Icon CwmPermissionEdit = load("codeWithMe/cwmPermissionEdit.svg", -1418202572, 2);
    /** 16x16 */ public static final @NotNull Icon CwmPermissions = load("codeWithMe/cwmPermissions.svg", -1864458737, 2);
    /** 16x16 */ public static final @NotNull Icon CwmPermissionView = load("codeWithMe/cwmPermissionView.svg", -1009321707, 2);
    /** 16x16 */ public static final @NotNull Icon CwmScreenOff = load("codeWithMe/cwmScreenOff.svg", -26966854, 2);
    /** 16x16 */ public static final @NotNull Icon CwmScreenOn = load("codeWithMe/cwmScreenOn.svg", 1935653764, 2);
    /** 16x16 */ public static final @NotNull Icon CwmShared = load("codeWithMe/cwmShared.svg", 1011618255, 2);
    /** 16x16 */ public static final @NotNull Icon CwmTerminate = load("codeWithMe/cwmTerminate.svg", -2038078812, 2);
    /** 16x16 */ public static final @NotNull Icon Users = load("codeWithMe/users.svg", 2141896599, 2);
  }

  public static final class Debugger {
    /** 16x16 */ public static final @NotNull Icon AddToWatch = load("debugger/addToWatch.svg", -321598243, 2);
    /** 16x16 */ public static final @NotNull Icon AttachToProcess = load("debugger/attachToProcess.svg", 977233133, 2);
    /** 16x16 */ public static final @NotNull Icon ClassLevelWatch = load("debugger/classLevelWatch.svg", 421086681, 2);
    /** 16x16 */ public static final @NotNull Icon Console = load("debugger/console.svg", 710898277, 2);
    /** 16x16 */ public static final @NotNull Icon Db_array = load("debugger/db_array.svg", 155537586, 2);
    /** 16x16 */ public static final @NotNull Icon Db_db_object = load("debugger/db_db_object.svg", -1192200485, 0);
    /** 12x12 */ public static final @NotNull Icon Db_dep_field_breakpoint = load("debugger/db_dep_field_breakpoint.svg", -1108344526, 2);
    /** 12x12 */ public static final @NotNull Icon Db_dep_line_breakpoint = load("debugger/db_dep_line_breakpoint.svg", -629428469, 2);
    /** 12x12 */ public static final @NotNull Icon Db_dep_method_breakpoint = load("debugger/db_dep_method_breakpoint.svg", 2115865231, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_breakpoint = load("debugger/db_disabled_breakpoint.svg", -79432350, 2);
    /** 16x16 */ public static final @NotNull Icon Db_disabled_breakpoint_process = load("debugger/db_disabled_breakpoint_process.svg", -580998013, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_exception_breakpoint = load("debugger/db_disabled_exception_breakpoint.svg", 913046153, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_field_breakpoint = load("debugger/db_disabled_field_breakpoint.svg", -1515274186, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_method_breakpoint = load("debugger/db_disabled_method_breakpoint.svg", 941265172, 2);
    /** 16x16 */ public static final @NotNull Icon Db_evaluateNode = load("debugger/db_evaluateNode.svg", 2015459929, 0);
    /** 12x12 */ public static final @NotNull Icon Db_exception_breakpoint = load("debugger/db_exception_breakpoint.svg", 159401346, 2);
    /** 12x12 */ public static final @NotNull Icon Db_field_breakpoint = load("debugger/db_field_breakpoint.svg", -1748685232, 2);
    /** 12x12 */ public static final @NotNull Icon Db_invalid_breakpoint = load("debugger/db_invalid_breakpoint.svg", -287031522, 2);
    /** 12x12 */ public static final @NotNull Icon Db_method_breakpoint = load("debugger/db_method_breakpoint.svg", -1257608527, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_breakpoint = load("debugger/db_muted_breakpoint.svg", 1119845137, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_dep_field_breakpoint = load("debugger/db_muted_dep_field_breakpoint.svg", 666742778, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_dep_line_breakpoint = load("debugger/db_muted_dep_line_breakpoint.svg", 729548471, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_dep_method_breakpoint = load("debugger/db_muted_dep_method_breakpoint.svg", 233632219, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_disabled_breakpoint = load("debugger/db_muted_disabled_breakpoint.svg", 1555036574, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_disabled_field_breakpoint = load("debugger/db_muted_disabled_field_breakpoint.svg", 265571380, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_disabled_method_breakpoint = load("debugger/db_muted_disabled_method_breakpoint.svg", 2118306712, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_field_breakpoint = load("debugger/db_muted_field_breakpoint.svg", 1108541132, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_method_breakpoint = load("debugger/db_muted_method_breakpoint.svg", 1166210991, 2);
    /** 12x12 */ public static final @NotNull Icon Db_no_suspend_breakpoint = load("debugger/db_no_suspend_breakpoint.svg", -691330024, 2);
    /** 12x12 */ public static final @NotNull Icon Db_no_suspend_field_breakpoint = load("debugger/db_no_suspend_field_breakpoint.svg", -1535745594, 2);
    /** 12x12 */ public static final @NotNull Icon Db_no_suspend_method_breakpoint = load("debugger/db_no_suspend_method_breakpoint.svg", 1192040838, 2);
    /** 12x12 */ public static final @NotNull Icon Db_obsolete = load("debugger/db_obsolete.svg", 1712159936, 2);
    /** 16x16 */ public static final @NotNull Icon Db_primitive = load("debugger/db_primitive.svg", 1877726178, 0);
    /** 12x12 */ public static final @NotNull Icon Db_set_breakpoint = load("debugger/db_set_breakpoint.svg", -212325595, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_breakpoint = load("debugger/db_verified_breakpoint.svg", -346945370, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_field_breakpoint = load("debugger/db_verified_field_breakpoint.svg", -52735683, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_method_breakpoint = load("debugger/db_verified_method_breakpoint.svg", 563503350, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_no_suspend_breakpoint = load("debugger/db_verified_no_suspend_breakpoint.svg", -1728815350, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_no_suspend_field_breakpoint = load("debugger/db_verified_no_suspend_field_breakpoint.svg", -450224021, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_no_suspend_method_breakpoint = load("debugger/db_verified_no_suspend_method_breakpoint.svg", -1941031143, 2);
    /** 16x16 */ public static final @NotNull Icon Db_watch = load("debugger/db_watch.svg", 2014522635, 0);
    /** 16x16 */ public static final @NotNull Icon EvaluateExpression = load("debugger/evaluateExpression.svg", -300636487, 2);
    /** 16x16 */ public static final @NotNull Icon EvaluationResult = load("debugger/evaluationResult.svg", 2060095446, 2);
    /** 16x16 */ public static final @NotNull Icon Frame = load("debugger/frame.svg", -1640021492, 2);
    /** 16x16 */ public static final @NotNull Icon KillProcess = load("debugger/killProcess.svg", 1526359628, 2);
    /** 12x12 */ public static final @NotNull Icon LambdaBreakpoint = load("debugger/LambdaBreakpoint.svg", 2080987606, 2);
    /** 12x12 */ public static final @NotNull Icon MultipleBreakpoints = load("debugger/MultipleBreakpoints.svg", 1758125147, 2);
    /** 16x16 */ public static final @NotNull Icon MuteBreakpoints = load("debugger/muteBreakpoints.svg", -1504925616, 2);
    /** 12x12 */ public static final @NotNull Icon NextStatement = load("debugger/nextStatement.svg", 1762708722, 2);
    /** 16x16 */ public static final @NotNull Icon Overhead = load("debugger/overhead.svg", 1739368549, 2);
    /** 16x16 */ public static final @NotNull Icon PromptInput = load("debugger/promptInput.svg", -1676921894, 2);
    /** 16x16 */ public static final @NotNull Icon PromptInputHistory = load("debugger/promptInputHistory.svg", -1542156846, 2);
    /** 7x9 */ public static final @NotNull Icon Question_badge = load("debugger/question_badge.svg", -287807081, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreLayout = load("debugger/restoreLayout.svg", 1439401042, 2);
    /** 16x16 */ public static final @NotNull Icon Selfreference = load("debugger/selfreference.svg", -2017619391, 2);
    /** 16x16 */ public static final @NotNull Icon ShowCurrentFrame = load("debugger/showCurrentFrame.svg", -1535640049, 2);
    /** 16x16 */ public static final @NotNull Icon SmartStepInto = load("debugger/smartStepInto.svg", -364010335, 2);
    /** 16x16 */ public static final @NotNull Icon ThreadAtBreakpoint = load("debugger/threadAtBreakpoint.svg", 270387597, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadCurrent = load("debugger/threadCurrent.svg", 2043476663, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadFrozen = load("debugger/threadFrozen.svg", -1053349483, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadGroup = load("debugger/threadGroup.svg", 2070645645, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadGroupCurrent = load("debugger/threadGroupCurrent.svg", -818740743, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadRunning = load("debugger/threadRunning.svg", 1444956785, 0);
    /** 16x16 */ public static final @NotNull Icon Threads = load("debugger/threads.svg", -617938564, 2);

    public static final class ThreadStates {
      /** 16x16 */ public static final @NotNull Icon Daemon_sign = load("debugger/threadStates/daemon_sign.svg", -462697036, 2);
      /** 16x16 */ public static final @NotNull Icon Idle = load("debugger/threadStates/idle.svg", 535886606, 2);
      /** 16x16 */ public static final @NotNull Icon Socket = load("debugger/threadStates/socket.svg", 1686366790, 2);
    }

    /** 16x16 */ public static final @NotNull Icon ThreadSuspended = load("debugger/threadSuspended.svg", -684853036, 0);
    /** 16x16 */ public static final @NotNull Icon Value = load("debugger/value.svg", 745474754, 0);
    /** 16x16 */ public static final @NotNull Icon VariablesTab = load("debugger/variablesTab.svg", -61340813, 2);
    /** 16x16 */ public static final @NotNull Icon ViewBreakpoints = load("debugger/viewBreakpoints.svg", 1180996860, 2);
    /** 16x16 */ public static final @NotNull Icon Watch = load("debugger/watch.svg", -423449971, 2);
    /** 16x16 */ public static final @NotNull Icon WatchLastReturnValue = load("debugger/watchLastReturnValue.svg", -401234150, 2);
  }

  public static final class Diff {
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflicts = load("diff/applyNotConflicts.svg", 1326899098, 2);
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflictsLeft = load("diff/applyNotConflictsLeft.svg", 716067990, 2);
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflictsRight = load("diff/applyNotConflictsRight.svg", 1792581699, 2);
    /** 12x12 */ public static final @NotNull Icon Arrow = load("diff/arrow.svg", -5952970, 2);
    /** 12x12 */ public static final @NotNull Icon ArrowLeftDown = load("diff/arrowLeftDown.svg", 828977445, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowLeftRight = load("diff/arrowLeftRight.svg", 1976513021, 2);
    /** 12x12 */ public static final @NotNull Icon ArrowRight = load("diff/arrowRight.svg", -274513734, 2);
    /** 12x12 */ public static final @NotNull Icon ArrowRightDown = load("diff/arrowRightDown.svg", -1893312823, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3LeftMiddle = load("diff/compare3LeftMiddle.svg", -1311524378, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3LeftRight = load("diff/compare3LeftRight.svg", 417221322, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3MiddleRight = load("diff/compare3MiddleRight.svg", -1804473320, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftBottom = load("diff/compare4LeftBottom.svg", -1116017676, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftMiddle = load("diff/compare4LeftMiddle.svg", -2002694039, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftRight = load("diff/compare4LeftRight.svg", -1539902950, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4MiddleBottom = load("diff/compare4MiddleBottom.svg", -1271325704, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4MiddleRight = load("diff/compare4MiddleRight.svg", 1527359535, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4RightBottom = load("diff/compare4RightBottom.svg", -885168504, 2);
    /** 12x12 */ public static final @NotNull Icon GutterCheckBox = load("diff/gutterCheckBox.svg", -1500541381, 2);
    /** 12x12 */ public static final @NotNull Icon GutterCheckBoxIndeterminate = load("diff/gutterCheckBoxIndeterminate.svg", -2073021634, 2);
    /** 12x12 */ public static final @NotNull Icon GutterCheckBoxSelected = load("diff/gutterCheckBoxSelected.svg", -1661721752, 2);
    /** 16x16 */ public static final @NotNull Icon Lock = load("diff/lock.svg", 522596416, 2);
    /** 12x12 */ public static final @NotNull Icon MagicResolve = load("diff/magicResolve.svg", -1593934255, 2);
    /** 16x16 */ public static final @NotNull Icon MagicResolveToolbar = load("diff/magicResolveToolbar.svg", 1351164991, 2);
    /** 12x12 */ public static final @NotNull Icon Remove = load("diff/remove.svg", 1623470757, 2);
    /** 12x12 */ public static final @NotNull Icon Revert = load("diff/revert.svg", -1304050548, 2);
  }

  public static final class Duplicates {
    /** 16x16 */ public static final @NotNull Icon SendToTheLeft = load("duplicates/sendToTheLeft.png", 0, 1);
    /** 16x16 */ public static final @NotNull Icon SendToTheLeftGrayed = load("duplicates/sendToTheLeftGrayed.png", 0, 7);
    /** 16x16 */ public static final @NotNull Icon SendToTheRight = load("duplicates/sendToTheRight.png", 0, 1);
    /** 16x16 */ public static final @NotNull Icon SendToTheRightGrayed = load("duplicates/sendToTheRightGrayed.png", 0, 7);
  }

  public static final class FileTypes {
    /** 16x16 */ public static final @NotNull Icon AddAny = load("fileTypes/addAny.svg", -901550915, 0);
    /** 16x16 */ public static final @NotNull Icon Any_type = load("fileTypes/any_type.svg", -1197281270, 0);
    /** 16x16 */ public static final @NotNull Icon Archive = load("fileTypes/archive.svg", 1107618879, 0);
    /** 16x16 */ public static final @NotNull Icon AS = load("fileTypes/as.svg", -767496773, 0);
    /** 16x16 */ public static final @NotNull Icon Aspectj = load("fileTypes/aspectj.svg", 1481675808, 0);
    /** 16x16 */ public static final @NotNull Icon Config = load("fileTypes/config.svg", -2090106617, 0);
    /** 16x16 */ public static final @NotNull Icon Css = load("fileTypes/css.svg", 1725435636, 0);
    /** 16x16 */ public static final @NotNull Icon Custom = load("fileTypes/custom.svg", -1100036030, 0);
    /** 16x16 */ public static final @NotNull Icon Diagram = load("fileTypes/diagram.svg", -1703980298, 0);
    /** 16x16 */ public static final @NotNull Icon Dtd = load("fileTypes/dtd.svg", 2096040013, 0);
    /** 16x16 */ public static final @NotNull Icon Hprof = load("fileTypes/hprof.svg", -394619175, 0);
    /** 16x16 */ public static final @NotNull Icon Htaccess = load("fileTypes/htaccess.svg", -873291068, 0);
    /** 16x16 */ public static final @NotNull Icon Html = load("fileTypes/html.svg", -1616818838, 0);
    /** 16x16 */ public static final @NotNull Icon Idl = load("fileTypes/idl.svg", -563468620, 0);
    /** 16x16 */ public static final @NotNull Icon Java = load("fileTypes/java.svg", -638948310, 0);
    /** 16x16 */ public static final @NotNull Icon JavaClass = load("fileTypes/javaClass.svg", -126947400, 0);
    /** 16x16 */ public static final @NotNull Icon JavaOutsideSource = load("fileTypes/javaOutsideSource.svg", 912941654, 0);
    /** 16x16 */ public static final @NotNull Icon JavaScript = load("fileTypes/javaScript.svg", 152218888, 0);
    /** 16x16 */ public static final @NotNull Icon Jfr = load("fileTypes/jfr.svg", -1284998988, 0);
    /** 16x16 */ public static final @NotNull Icon Json = load("fileTypes/json.svg", -360493923, 2);
    /** 16x16 */ public static final @NotNull Icon JsonSchema = load("fileTypes/jsonSchema.svg", -1656026388, 2);
    /** 16x16 */ public static final @NotNull Icon Jsp = load("fileTypes/jsp.svg", -827203564, 0);
    /** 16x16 */ public static final @NotNull Icon Jspx = load("fileTypes/jspx.svg", 88401518, 0);
    /** 16x16 */ public static final @NotNull Icon Manifest = load("fileTypes/manifest.svg", 2119907808, 0);
    /** 16x16 */ public static final @NotNull Icon Properties = load("fileTypes/properties.svg", 919266521, 0);
    /** 16x16 */ public static final @NotNull Icon Regexp = load("fileTypes/regexp.svg", 1525700847, 0);
    /** 16x16 */ public static final @NotNull Icon Text = load("fileTypes/text.svg", 1584946924, 0);
    /** 16x16 */ public static final @NotNull Icon UiForm = load("fileTypes/uiForm.svg", -587862866, 0);
    /** 16x16 */ public static final @NotNull Icon Unknown = load("fileTypes/unknown.svg", -343254122, 0);
    /** 16x16 */ public static final @NotNull Icon WsdlFile = load("fileTypes/wsdlFile.svg", -1250024765, 0);
    /** 16x16 */ public static final @NotNull Icon Xhtml = load("fileTypes/xhtml.svg", -1684618652, 0);
    /** 16x16 */ public static final @NotNull Icon Xml = load("fileTypes/xml.svg", 555542764, 0);
    /** 16x16 */ public static final @NotNull Icon XsdFile = load("fileTypes/xsdFile.svg", -1976018733, 0);
    /** 16x16 */ public static final @NotNull Icon Yaml = load("fileTypes/yaml.svg", 1814796498, 0);
  }

  public static final class General {
    /** 16x16 */ public static final @NotNull Icon ActualZoom = load("general/actualZoom.svg", 1198766679, 2);
    /** 16x16 */ public static final @NotNull Icon Add = load("general/add.svg", 797127905, 2);
    /** 16x16 */ public static final @NotNull Icon AddJdk = load("general/addJdk.svg", 1012953529, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowDown = load("general/arrowDown.svg", -597403985, 2);
    /** 9x5 */ public static final @NotNull Icon ArrowDownSmall = load("general/arrowDownSmall.svg", -1344463609, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowLeft = load("general/arrowLeft.svg", -532173058, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowRight = load("general/arrowRight.svg", -1100242352, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowSplitCenterH = load("general/arrowSplitCenterH.svg", 1105392256, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowSplitCenterV = load("general/arrowSplitCenterV.svg", 38703711, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowUp = load("general/arrowUp.svg", 2129385661, 2);
    /** 16x16 */ public static final @NotNull Icon AutoscrollFromSource = load("general/autoscrollFromSource.svg", 2050778369, 2);
    /** 16x16 */ public static final @NotNull Icon AutoscrollToSource = load("general/autoscrollToSource.svg", -1131205385, 2);
    /** 16x16 */ public static final @NotNull Icon Balloon = load("general/balloon.svg", -740507826, 2);
    /** 16x16 */ public static final @NotNull Icon BalloonError = load("general/balloonError.svg", 786941370, 2);
    /** 16x16 */ public static final @NotNull Icon BalloonInformation = load("general/balloonInformation.svg", 1831996422, 2);
    /** 16x16 */ public static final @NotNull Icon BalloonWarning = load("general/balloonWarning.svg", 115955340, 2);
    /** 12x12 */ public static final @NotNull Icon BalloonWarning12 = load("general/balloonWarning12.svg", 1546892486, 2);
    /** 32x15 */ public static final @NotNull Icon Beta = load("general/beta.svg", 1357994846, 0);
    /** 8x4 */ public static final @NotNull Icon ButtonDropTriangle = load("general/buttonDropTriangle.svg", 1709843202, 2);
    /** 16x16 */ public static final @NotNull Icon ChevronDown = load("general/chevron-down.svg", -357059705, 0);
    /** 16x16 */ public static final @NotNull Icon ChevronLeft = load("general/chevron-left.svg", 662433505, 0);
    /** 16x16 */ public static final @NotNull Icon ChevronRight = load("general/chevron-right.svg", -24251878, 0);
    /** 16x16 */ public static final @NotNull Icon ChevronUp = load("general/chevron-up.svg", -86507705, 0);
    /** 16x16 */ public static final @NotNull Icon CollapseComponent = load("general/collapseComponent.svg", -1430032761, 0);
    /** 16x16 */ public static final @NotNull Icon CollapseComponentHover = load("general/collapseComponentHover.svg", -1089828088, 0);
    /** 16x16 */ public static final @NotNull Icon ContextHelp = load("general/contextHelp.svg", 764372885, 0);
    /** 16x16 */ public static final @NotNull Icon CopyHovered = load("general/copyHovered.svg", -451115742, 0);
    /** 2x19 */ public static final @NotNull Icon Divider = load("general/divider.svg", -2110263804, 2);
    /** 16x16 */ public static final @NotNull Icon Dropdown = load("general/dropdown.svg", -87425843, 2);
    /** 13x13 */ public static final @NotNull Icon DropdownGutter = load("general/dropdownGutter.svg", -246519949, 2);
    /** 2x20 */ public static final @NotNull Icon DropPlace = load("general/dropPlace.svg", -1161018416, 2);
    /** 9x9 */ public static final @NotNull Icon Ellipsis = load("general/ellipsis.svg", 1516529735, 2);
    /** 16x16 */ public static final @NotNull Icon Error = load("general/error.svg", -986585363, 0);
    /** 32x32 */ public static final @NotNull Icon ErrorDialog = load("general/errorDialog.svg", 1615026791, 0);
    /** 16x16 */ public static final @NotNull Icon ExclMark = load("general/exclMark.svg", 418147165, 2);
    /** 16x16 */ public static final @NotNull Icon ExpandComponent = load("general/expandComponent.svg", -974801999, 0);
    /** 16x16 */ public static final @NotNull Icon ExpandComponentHover = load("general/expandComponentHover.svg", 1467297776, 0);
    /** 16x16 */ public static final @NotNull Icon ExternalTools = load("general/externalTools.svg", -2106778598, 2);
    /** 16x16 */ public static final @NotNull Icon Filter = load("general/filter.svg", 1969682878, 2);
    /** 16x16 */ public static final @NotNull Icon FitContent = load("general/fitContent.svg", 1629153698, 2);
    /** 16x16 */ public static final @NotNull Icon Gear = load("general/gear.svg", 514549996, 0);
    /** 16x16 */ public static final @NotNull Icon GearHover = load("general/gearHover.svg", -1284003136, 0);
    /** 16x16 */ public static final @NotNull Icon GearPlain = load("general/gearPlain.svg", 280820091, 2);
    /** 16x16 */ public static final @NotNull Icon HideToolWindow = load("general/hideToolWindow.svg", 95284865, 2);
    /** 16x16 */ public static final @NotNull Icon ImplementingMethod = load("general/implementingMethod.svg", -249865090, 1);
    /** 16x16 */ public static final @NotNull Icon Information = load("general/information.svg", 1755062526, 0);
    /** 32x32 */ public static final @NotNull Icon InformationDialog = load("general/informationDialog.svg", 1045733798, 0);
    /** 16x16 */ public static final @NotNull Icon InheritedMethod = load("general/inheritedMethod.svg", 566090426, 0);
    /** 16x16 */ public static final @NotNull Icon Inline_edit = load("general/inline_edit.svg", -1108265903, 0);
    /** 16x16 */ public static final @NotNull Icon Inline_edit_hovered = load("general/inline_edit_hovered.svg", -379305582, 0);
    /** 16x16 */ public static final @NotNull Icon InlineAdd = load("general/inlineAdd.svg", -915176222, 0);
    /** 16x16 */ public static final @NotNull Icon InlineAddHover = load("general/inlineAddHover.svg", -1616787464, 0);
    /** 16x16 */ public static final @NotNull Icon InlineCopy = load("general/inlineCopy.svg", -1327622853, 0);
    /** 16x16 */ public static final @NotNull Icon InlineCopyHover = load("general/inlineCopyHover.svg", 1535652880, 0);
    /** 16x16 */ public static final @NotNull Icon InlineRefresh = load("general/inlineRefresh.svg", -1945274001, 0);
    /** 16x16 */ public static final @NotNull Icon InlineRefreshHover = load("general/inlineRefreshHover.svg", -1675943083, 0);
    /** 16x16 */ public static final @NotNull Icon InlineVariables = load("general/inlineVariables.svg", 1945461502, 0);
    /** 16x16 */ public static final @NotNull Icon InlineVariablesHover = load("general/inlineVariablesHover.svg", -1445855809, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsError = load("general/inspectionsError.svg", -1165668005, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsErrorEmpty = load("general/inspectionsErrorEmpty.svg", -712909724, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsEye = load("general/inspectionsEye.svg", 1348060113, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsMixed = load("general/inspectionsMixed.svg", 208827954, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsOK = load("general/inspectionsOK.svg", -1704297960, 2);
    /** 16x17 */ public static final @NotNull Icon InspectionsOKEmpty = load("general/inspectionsOKEmpty.svg", -1078263483, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsPause = load("general/inspectionsPause.svg", 1723041223, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsPowerSaveMode = load("general/inspectionsPowerSaveMode.svg", 1396827302, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsTrafficOff = load("general/inspectionsTrafficOff.svg", -1407975673, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsTypos = load("general/inspectionsTypos.svg", 695744452, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsWarning = load("general/inspectionsWarning.svg", -1053930051, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsWarningEmpty = load("general/inspectionsWarningEmpty.svg", -566523372, 0);
    /** 16x16 */ public static final @NotNull Icon Layout = load("general/layout.svg", -284308773, 2);
    /** 16x16 */ public static final @NotNull Icon LayoutEditorOnly = load("general/layoutEditorOnly.svg", 5482680, 2);
    /** 16x16 */ public static final @NotNull Icon LayoutEditorPreview = load("general/layoutEditorPreview.svg", -2017277875, 2);
    /** 16x16 */ public static final @NotNull Icon LayoutPreviewOnly = load("general/layoutPreviewOnly.svg", -657418654, 2);
    /** 14x14 */ public static final @NotNull Icon LinkDropTriangle = load("general/linkDropTriangle.svg", 384254532, 2);
    /** 16x16 */ public static final @NotNull Icon LocalizationSettings = load("general/localizationSettings.svg", -916202718, 0);
    /** 16x16 */ public static final @NotNull Icon Locate = load("general/locate.svg", -19953697, 2);
    /** 13x13 */ public static final @NotNull Icon Modified = load("general/modified.svg", -1636111683, 2);
    /** 13x13 */ public static final @NotNull Icon ModifiedSelected = load("general/modifiedSelected.svg", -1313675058, 0);
    /** 16x16 */ public static final @NotNull Icon MoreTabs = load("general/moreTabs.svg", 893749784, 2);
    /** 16x16 */ public static final @NotNull Icon Mouse = load("general/mouse.svg", -1893490384, 2);
    /** 16x16 */ public static final @NotNull Icon Note = load("general/note.svg", 1852281794, 0);
    /** 24x24 */ public static final @NotNull Icon NotificationError = load("general/notificationError.svg", 85497736, 2);
    /** 24x24 */ public static final @NotNull Icon NotificationInfo = load("general/notificationInfo.svg", 609721833, 2);
    /** 24x24 */ public static final @NotNull Icon NotificationWarning = load("general/notificationWarning.svg", -1789360524, 2);
    /** 16x16 */ public static final @NotNull Icon OpenDisk = load("general/openDisk.svg", -187316427, 0);
    /** 16x16 */ public static final @NotNull Icon OpenDiskHover = load("general/openDiskHover.svg", -1297033926, 0);
    /** 16x16 */ public static final @NotNull Icon OpenInToolWindow = load("general/openInToolWindow.svg", 1697264958, 2);
    /** 16x16 */ public static final @NotNull Icon OverridenMethod = load("general/overridenMethod.svg", -564846293, 0);
    /** 16x16 */ public static final @NotNull Icon OverridingMethod = load("general/overridingMethod.svg", -304751782, 0);
    /** 16x16 */ public static final @NotNull Icon Pin_tab = load("general/pin_tab.svg", -292626043, 2);
    /** 16x16 */ public static final @NotNull Icon Print = load("general/print.svg", 1490924904, 2);
    /** 9x9 */ public static final @NotNull Icon ProjectConfigurable = load("general/projectConfigurable.svg", 1728561681, 0);
    /** 16x16 */ public static final @NotNull Icon ProjectStructure = load("general/projectStructure.svg", 1542338151, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectTab = load("general/projectTab.svg", 884974796, 0);
    /** 32x32 */ public static final @NotNull Icon QuestionDialog = load("general/questionDialog.svg", -2027845172, 0);
    /** 16x16 */ public static final @NotNull Icon ReaderMode = load("general/readerMode.svg", -1848332905, 2);
    /** 16x16 */ public static final @NotNull Icon Remove = load("general/remove.svg", 1289137503, 2);
    /** 16x16 */ public static final @NotNull Icon Reset = load("general/reset.svg", -1934621635, 2);
    /** 16x16 */ public static final @NotNull Icon RunWithCoverage = load("general/runWithCoverage.svg", 905290282, 2);
    /** 16x16 */ public static final @NotNull Icon SeparatorH = load("general/separatorH.svg", 1409697491, 2);
    /** 16x16 */ public static final @NotNull Icon Settings = load("general/settings.svg", -1772335132, 2);
    /** 16x16 */ public static final @NotNull Icon Show_to_implement = load("general/show_to_implement.svg", 433889059, 7);
    /** 16x16 */ public static final @NotNull Icon ShowInfos = load("general/showInfos.svg", -1885906244, 2);
    /** 16x16 */ public static final @NotNull Icon ShowWarning = load("general/showWarning.svg", 1102780645, 2);
    /** 32x32 */ public static final @NotNull Icon SuccessDialog = load("general/successDialog.svg", 7860490, 0);
    /** 48x48 */ public static final @NotNull Icon SuccessLogin = load("general/successLogin.svg", -1859663970, 0);
    /** 16x16 */ public static final @NotNull Icon TbHidden = load("general/tbHidden.svg", -743530971, 2);
    /** 16x16 */ public static final @NotNull Icon TbShown = load("general/tbShown.svg", 1639259829, 2);
    /** 32x32 */ public static final @NotNull Icon Tip = load("general/tip.svg", 727079916, 2);
    /** 16x16 */ public static final @NotNull Icon TodoDefault = load("general/todoDefault.svg", 1865155258, 0);
    /** 16x16 */ public static final @NotNull Icon TodoImportant = load("general/todoImportant.svg", -706073107, 0);
    /** 16x16 */ public static final @NotNull Icon TodoQuestion = load("general/todoQuestion.svg", -1874556025, 0);
    /** 16x16 */ public static final @NotNull Icon Tree = load("general/tree.svg", 1152081262, 0);
    /** 16x16 */ public static final @NotNull Icon TreeHovered = load("general/treeHovered.svg", -475347025, 0);
    /** 16x16 */ public static final @NotNull Icon TreeSelected = load("general/treeSelected.svg", 513493984, 0);
    /** 16x16 */ public static final @NotNull Icon User = load("general/user.svg", -1284981913, 0);
    /** 16x16 */ public static final @NotNull Icon Warning = load("general/warning.svg", 1079413100, 2);
    /** 16x16 */ public static final @NotNull Icon WarningDecorator = load("general/warningDecorator.svg", -928987393, 2);
    /** 32x32 */ public static final @NotNull Icon WarningDialog = load("general/warningDialog.svg", -156131440, 0);
    /** 16x16 */ public static final @NotNull Icon Web = load("general/web.svg", 1847551422, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomIn = load("general/zoomIn.svg", -1892605459, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomOut = load("general/zoomOut.svg", 430104443, 2);
  }

  public static final class Graph {
    /** 16x16 */ public static final @NotNull Icon ActualZoom = load("graph/actualZoom.svg", 1198766679, 2);
    /** 16x16 */ public static final @NotNull Icon Grid = load("graph/grid.svg", 1445425896, 2);
    /** 16x16 */ public static final @NotNull Icon Layout = load("graph/layout.svg", -284308773, 2);
    /** 16x16 */ public static final @NotNull Icon NodeSelectionMode = load("graph/nodeSelectionMode.svg", 112058531, 2);
    /** 16x16 */ public static final @NotNull Icon SnapToGrid = load("graph/snapToGrid.svg", 451294403, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomIn = load("graph/zoomIn.svg", -1892605459, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomOut = load("graph/zoomOut.svg", 430104443, 2);
  }

  public static final class Gutter {
    /** 12x12 */ public static final @NotNull Icon Bookmark = load("gutter/bookmark.svg", 947811628, 2);
    /** 12x12 */ public static final @NotNull Icon Colors = load("gutter/colors.svg", 777644484, 2);
    /** 12x12 */ public static final @NotNull Icon DataSchema = load("gutter/dataSchema.svg", 98864714, 0);
    /** 12x12 */ public static final @NotNull Icon ExtAnnotation = load("gutter/extAnnotation.svg", -2050890780, 2);
    /** 12x12 */ public static final @NotNull Icon ImplementedMethod = load("gutter/implementedMethod.svg", -1091219592, 7);
    /** 12x12 */ public static final @NotNull Icon ImplementingFunctionalInterface = load("gutter/implementingFunctionalInterface.svg", 1251884353, 2);
    /** 12x12 */ public static final @NotNull Icon ImplementingMethod = load("gutter/implementingMethod.svg", -557572205, 7);
    /** 12x12 */ public static final @NotNull Icon Java9Service = load("gutter/java9Service.svg", 491562714, 2);
    /** 12x12 */ public static final @NotNull Icon JavadocEdit = load("gutter/javadocEdit.svg", 1708956255, 0);
    /** 12x12 */ public static final @NotNull Icon JavadocRead = load("gutter/javadocRead.svg", -1956495811, 0);
    /** 12x12 */ public static final @NotNull Icon Mnemonic = load("gutter/mnemonic.svg", -1833838067, 2);
    /** 12x12 */ public static final @NotNull Icon OverridenMethod = load("gutter/overridenMethod.svg", 1421258158, 2);
    /** 12x12 */ public static final @NotNull Icon OverridingMethod = load("gutter/overridingMethod.svg", 1393233147, 2);
    /** 12x12 */ public static final @NotNull Icon ReadAccess = load("gutter/readAccess.svg", -1791985908, 2);
    /** 12x12 */ public static final @NotNull Icon RecursiveMethod = load("gutter/recursiveMethod.svg", 488856483, 2);
    /** 12x12 */ public static final @NotNull Icon SiblingInheritedMethod = load("gutter/siblingInheritedMethod.svg", -1425904786, 7);
    /** 12x12 */ public static final @NotNull Icon SuggestedRefactoringBulb = load("gutter/suggestedRefactoringBulb.svg", 697305625, 2);
    /** 13x12 */ public static final @NotNull Icon SuggestedRefactoringBulbDisabled = load("gutter/suggestedRefactoringBulbDisabled.svg", 1917372048, 2);
    /** 8x8 */ public static final @NotNull Icon Unique = load("gutter/unique.svg", -325509218, 2);
    /** 12x12 */ public static final @NotNull Icon WriteAccess = load("gutter/writeAccess.svg", -505073330, 2);
  }

  public static final class Hierarchy {
    /** 16x16 */ public static final @NotNull Icon Class = load("hierarchy/class.svg", 999423908, 2);
    /** 8x8 */ public static final @NotNull Icon MethodDefined = load("hierarchy/methodDefined.svg", 2089583959, 2);
    /** 8x8 */ public static final @NotNull Icon MethodNotDefined = load("hierarchy/methodNotDefined.svg", -1870771383, 2);
    /** 8x8 */ public static final @NotNull Icon ShouldDefineMethod = load("hierarchy/shouldDefineMethod.svg", -1400563966, 2);
    /** 16x16 */ public static final @NotNull Icon Subtypes = load("hierarchy/subtypes.svg", -1044860364, 2);
    /** 16x16 */ public static final @NotNull Icon Supertypes = load("hierarchy/supertypes.svg", 1891018905, 2);
  }

  public static final class Icons {
    public static final class Ide {
      /** 12x12 */ public static final @NotNull Icon MenuArrow = load("icons/ide/menuArrow.svg", 1882149833, 2);
      /** 12x12 */ public static final @NotNull Icon MenuArrowSelected = load("icons/ide/menuArrowSelected.svg", 1385151726, 2);
      /** 12x12 */ public static final @NotNull Icon NextStep = load("icons/ide/nextStep.svg", -1762463546, 2);
      /** 12x12 */ public static final @NotNull Icon NextStepInverted = load("icons/ide/nextStepInverted.svg", -1122746185, 0);
    }
  }

  public static final class Ide {
    /** 16x16 */ public static final @NotNull Icon ConfigFile = load("ide/configFile.svg", -1531549394, 2);
    /** 20x20 */ public static final @NotNull Icon Dislike = load("ide/dislike.svg", 1841131395, 2);
    /** 20x20 */ public static final @NotNull Icon DislikeDimmed = load("ide/dislikeDimmed.svg", 1206225689, 2);
    /** 20x20 */ public static final @NotNull Icon DislikeSelected = load("ide/dislikeSelected.svg", 1751531535, 2);
    /** 6x6 */ public static final @NotNull Icon ErrorPoint = load("ide/errorPoint.svg", 1883310311, 2);
    /** 14x14 */ public static final @NotNull Icon External_link_arrow = load("ide/external_link_arrow.svg", -51192057, 0);
    /** 16x16 */ public static final @NotNull Icon FatalErrorRead = load("ide/fatalError-read.svg", 1599515323, 2);
    /** 16x16 */ public static final @NotNull Icon FatalError = load("ide/fatalError.svg", 852776598, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRating = load("ide/feedbackRating.svg", -2058268562, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingFocused = load("ide/feedbackRatingFocused.svg", 1221196107, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingFocusedOn = load("ide/feedbackRatingFocusedOn.svg", 2032408418, 2);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingOn = load("ide/feedbackRatingOn.svg", -219103639, 0);
    /** 32x32 */ public static final @NotNull Icon FeedbackRatingOnFocused = load("ide/feedbackRatingOnFocused.svg", 1032401039, 0);
    /** 16x16 */ public static final @NotNull Icon Gift = load("ide/gift.svg", -2119825535, 2);
    /** 16x16 */ public static final @NotNull Icon HectorOff = load("ide/hectorOff.svg", -1682797338, 2);
    /** 16x16 */ public static final @NotNull Icon HectorOn = load("ide/hectorOn.svg", 1114293405, 2);
    /** 16x16 */ public static final @NotNull Icon HectorSyntax = load("ide/hectorSyntax.svg", -1835568144, 2);
    /** 16x16 */ public static final @NotNull Icon IncomingChangesOn = load("ide/incomingChangesOn.svg", -1628597106, 2);
    /** 20x20 */ public static final @NotNull Icon Like = load("ide/like.svg", -330754541, 2);
    /** 20x20 */ public static final @NotNull Icon LikeDimmed = load("ide/likeDimmed.svg", -310717373, 2);
    /** 20x20 */ public static final @NotNull Icon LikeSelected = load("ide/likeSelected.svg", -1148793669, 2);
    /** 12x12 */ public static final @NotNull Icon Link = load("ide/link.svg", -435232361, 2);
    /** 16x16 */ public static final @NotNull Icon LocalScope = load("ide/localScope.svg", -1225096442, 0);
    /** 16x16 */ public static final @NotNull Icon LocalScopeAction = load("ide/localScopeAction.svg", 156037992, 2);

    public static final class Macro {
      /** 16x16 */ public static final @NotNull Icon Recording_1 = load("ide/macro/recording_1.svg", 399731741, 2);
      /** 16x16 */ public static final @NotNull Icon Recording_2 = load("ide/macro/recording_2.svg", 318566860, 2);
      /** 16x16 */ public static final @NotNull Icon Recording_3 = load("ide/macro/recording_3.svg", -232844720, 2);
      /** 16x16 */ public static final @NotNull Icon Recording_4 = load("ide/macro/recording_4.svg", -1470953581, 2);
    }

    /** 5x15 */ public static final @NotNull Icon NavBarSeparator = load("ide/NavBarSeparator.svg", 923504006, 0);

    public static final class Notification {
      /** 16x16 */ public static final @NotNull Icon Close = load("ide/notification/close.svg", 896699044, 0);
      /** 16x16 */ public static final @NotNull Icon CloseHover = load("ide/notification/closeHover.svg", 1773017139, 0);
      /** 16x16 */ public static final @NotNull Icon Collapse = load("ide/notification/collapse.svg", -585247827, 0);
      /** 16x16 */ public static final @NotNull Icon CollapseHover = load("ide/notification/collapseHover.svg", -1710640946, 0);
      /** 16x16 */ public static final @NotNull Icon DropTriangle = load("ide/notification/dropTriangle.svg", -1410943131, 0);
      /** 16x16 */ public static final @NotNull Icon ErrorEvents = load("ide/notification/errorEvents.svg", -324486606, 2);
      /** 16x16 */ public static final @NotNull Icon Expand = load("ide/notification/expand.svg", 333329531, 0);
      /** 16x16 */ public static final @NotNull Icon ExpandHover = load("ide/notification/expandHover.svg", 2047641878, 0);
      /** 16x16 */ public static final @NotNull Icon Gear = load("ide/notification/gear.svg", 2071392888, 0);
      /** 16x16 */ public static final @NotNull Icon GearHover = load("ide/notification/gearHover.svg", -1533554923, 0);
      /** 16x16 */ public static final @NotNull Icon IdeUpdate = load("ide/notification/ideUpdate.svg", 857314587, 2);
      /** 16x16 */ public static final @NotNull Icon InfoEvents = load("ide/notification/infoEvents.svg", -1638326483, 2);
      /** 16x16 */ public static final @NotNull Icon NoEvents = load("ide/notification/noEvents.svg", -62546904, 2);
      /** 16x16 */ public static final @NotNull Icon PluginUpdate = load("ide/notification/pluginUpdate.svg", 1003290826, 2);
      /** 16x16 */ public static final @NotNull Icon WarningEvents = load("ide/notification/warningEvents.svg", -774946985, 2);
    }

    /** 16x16 */ public static final @NotNull Icon OutgoingChangesOn = load("ide/outgoingChangesOn.svg", -1738136051, 2);
    /** 16x16 */ public static final @NotNull Icon Pipette = load("ide/pipette.svg", 1015971790, 2);
    /** 16x16 */ public static final @NotNull Icon Pipette_rollover = load("ide/pipette_rollover.svg", 10994662, 2);
    /** 16x16 */ public static final @NotNull Icon PowerSaveMode = load("ide/powerSaveMode.svg", -5500436, 2);
    /** 11x11 */ public static final @NotNull Icon Rating = load("ide/rating.svg", -849590028, 2);
    /** 11x11 */ public static final @NotNull Icon Rating1 = load("ide/rating1.svg", 1078528028, 2);
    /** 11x11 */ public static final @NotNull Icon Rating2 = load("ide/rating2.svg", 255486909, 2);
    /** 11x11 */ public static final @NotNull Icon Rating3 = load("ide/rating3.svg", 944728786, 2);
    /** 11x11 */ public static final @NotNull Icon Rating4 = load("ide/rating4.svg", -1665817875, 2);
    /** 16x16 */ public static final @NotNull Icon Readonly = load("ide/readonly.svg", 1581477725, 2);
    /** 16x16 */ public static final @NotNull Icon Readwrite = load("ide/readwrite.svg", 1592721060, 2);

    public static final class RoundShadow {
      /** 4x14 */ public static final @NotNull Icon Bottom = load("ide/roundShadow/bottom.svg", -795062165, 0);
      /** 18x22 */ public static final @NotNull Icon BottomLeft = load("ide/roundShadow/bottomLeft.svg", 57387312, 0);
      /** 18x22 */ public static final @NotNull Icon BottomRight = load("ide/roundShadow/bottomRight.svg", -2005856978, 0);
      /** 10x4 */ public static final @NotNull Icon Left = load("ide/roundShadow/left.svg", 716567272, 0);
      /** 10x4 */ public static final @NotNull Icon Right = load("ide/roundShadow/right.svg", 284263923, 0);
      /** 4x6 */ public static final @NotNull Icon Top = load("ide/roundShadow/top.svg", 1144126510, 0);
      /** 18x14 */ public static final @NotNull Icon TopLeft = load("ide/roundShadow/topLeft.svg", 408710925, 0);
      /** 18x14 */ public static final @NotNull Icon TopRight = load("ide/roundShadow/topRight.svg", -1278577373, 0);
    }

    public static final class RunAnything {
      /** 16x16 */ public static final @NotNull Icon OpenRecentProject = load("ide/runAnything/openRecentProject.svg", -1338812672, 0);
    }

    public static final class Shadow {
      /** 4x14 */ public static final @NotNull Icon Bottom = load("ide/shadow/bottom.svg", 1885149419, 0);
      /** 18x22 */ public static final @NotNull Icon BottomLeft = load("ide/shadow/bottomLeft.svg", 1859602061, 0);
      /** 18x22 */ public static final @NotNull Icon BottomRight = load("ide/shadow/bottomRight.svg", -1215268057, 0);
      /** 10x4 */ public static final @NotNull Icon Left = load("ide/shadow/left.svg", -1385854214, 0);
      /** 10x4 */ public static final @NotNull Icon Right = load("ide/shadow/right.svg", -1915863663, 0);
      /** 4x6 */ public static final @NotNull Icon Top = load("ide/shadow/top.svg", -1621911348, 0);
      /** 18x14 */ public static final @NotNull Icon TopLeft = load("ide/shadow/topLeft.svg", 514788922, 0);
      /** 18x14 */ public static final @NotNull Icon TopRight = load("ide/shadow/topRight.svg", -207655028, 0);
    }

    /** 7x10 */ public static final @NotNull Icon Statusbar_arrows = load("ide/statusbar_arrows.svg", 1562460864, 2);
    /** 16x16 */ public static final @NotNull Icon UpDown = load("ide/upDown.svg", 297617181, 2);
  }

  /** 100x100 */ public static final @NotNull Icon Idea_logo_welcome = load("idea_logo_welcome.png", 0, 0);

  public static final class Javaee {
    /** 16x16 */ public static final @NotNull Icon Home = load("javaee/home.svg", -1395024929, 1);
    /** 16x16 */ public static final @NotNull Icon PersistenceEntity = load("javaee/persistenceEntity.svg", 1189216795, 0);
    /** 16x16 */ public static final @NotNull Icon UpdateRunningApplication = load("javaee/updateRunningApplication.svg", -1419199974, 2);
    /** 16x16 */ public static final @NotNull Icon WebModuleGroup = load("javaee/webModuleGroup.svg", -1443428390, 0);
    /** 16x16 */ public static final @NotNull Icon WebService = load("javaee/WebService.svg", -1652510659, 0);
    /** 16x16 */ public static final @NotNull Icon WebServiceClient = load("javaee/WebServiceClient.svg", -1166834779, 0);
  }

  public static final class Json {
    /** 16x16 */ public static final @NotNull Icon Array = load("json/array.svg", -1932495122, 2);
    /** 16x16 */ public static final @NotNull Icon Object = load("json/object.svg", -1377695174, 2);
  }

  public static final class Linux {
    /** 16x16 */ public static final @NotNull Icon Linux = load("linux/linux.svg", 1151974498, 2);
  }

  /** 80x80 */ public static final @NotNull Icon Logo_welcomeScreen = load("Logo_welcomeScreen.png", 0, 1);
  /** 80x80 */ public static final @NotNull Icon Logo_welcomeScreen_CE = load("Logo_welcomeScreen_CE.png", 0, 1);

  public static final class Mac {
    /** 55x55 */ public static final @NotNull Icon AppIconOk512 = load("mac/appIconOk512.png", 0, 0);

    public static final class Touchbar {
      /** 16x16 */ public static final @NotNull Icon PopoverArrow = load("mac/touchbar/popoverArrow.svg", -124986036, 0);
      /** 24x24 */ public static final @NotNull Icon PopoverClose = load("mac/touchbar/popoverClose.svg", -204227994, 0);
    }
  }

  public static final class Modules {
    /** 16x16 */ public static final @NotNull Icon AddExcludedRoot = load("modules/addExcludedRoot.svg", -1503763827, 2);
    /** 16x16 */ public static final @NotNull Icon Annotation = load("modules/annotation.svg", -1955865762, 0);
    /** 16x16 */ public static final @NotNull Icon EditFolder = load("modules/editFolder.svg", 1711644530, 0);
    /** 16x16 */ public static final @NotNull Icon ExcludedGeneratedRoot = load("modules/excludedGeneratedRoot.svg", 600750661, 0);
    /** 16x16 */ public static final @NotNull Icon ExcludeRoot = load("modules/excludeRoot.svg", -506851621, 0);
    /** 16x16 */ public static final @NotNull Icon GeneratedFolder = load("modules/generatedFolder.svg", 672107948, 0);
    /** 16x16 */ public static final @NotNull Icon GeneratedSourceRoot = load("modules/generatedSourceRoot.svg", 29577735, 0);
    /** 16x16 */ public static final @NotNull Icon GeneratedTestRoot = load("modules/generatedTestRoot.svg", -1067114680, 0);
    /** 16x16 */ public static final @NotNull Icon ResourcesRoot = load("modules/resourcesRoot.svg", -359600359, 0);
    /** 16x16 */ public static final @NotNull Icon SourceRoot = load("modules/sourceRoot.svg", 505404312, 0);
    /** 16x16 */ public static final @NotNull Icon SourceRootFileLayer = load("modules/sourceRootFileLayer.svg", 2131830116, 0);
    /** 16x16 */ public static final @NotNull Icon Split = load("modules/split.svg", 1232588528, 2);
    /** 16x16 */ public static final @NotNull Icon TestResourcesRoot = load("modules/testResourcesRoot.svg", 813500906, 0);
    /** 16x16 */ public static final @NotNull Icon TestRoot = load("modules/testRoot.svg", 1542095868, 0);
    /** 16x16 */ public static final @NotNull Icon UnloadedModule = load("modules/unloadedModule.svg", -44158296, 0);
    /** 16x16 */ public static final @NotNull Icon UnmarkWebroot = load("modules/unmarkWebroot.svg", 1827537326, 0);
  }

  public static final class Nodes {
    /** 16x16 */ public static final @NotNull Icon AbstractClass = load("nodes/abstractClass.svg", -1915044754, 0);
    /** 16x16 */ public static final @NotNull Icon AbstractException = load("nodes/abstractException.svg", 917044578, 0);
    /** 16x16 */ public static final @NotNull Icon AbstractMethod = load("nodes/abstractMethod.svg", -406829797, 1);
    /** 16x16 */ public static final @NotNull Icon Alias = load("nodes/alias.svg", 809585002, 0);
    /** 16x16 */ public static final @NotNull Icon Annotationtype = load("nodes/annotationtype.svg", 1008561008, 0);
    /** 16x16 */ public static final @NotNull Icon AnonymousClass = load("nodes/anonymousClass.svg", 2058923181, 0);
    /** 16x16 */ public static final @NotNull Icon Artifact = load("nodes/artifact.svg", -1824408764, 0);
    /** 16x16 */ public static final @NotNull Icon Aspect = load("nodes/aspect.svg", 1792092599, 0);
    /** 16x16 */ public static final @NotNull Icon Bookmark = load("nodes/bookmark.svg", -1524356580, 2);
    /** 16x16 */ public static final @NotNull Icon BookmarkGroup = load("nodes/bookmarkGroup.svg", -2123995999, 0);
    /** 16x16 */ public static final @NotNull Icon C_plocal = load("nodes/c_plocal.svg", -172541908, 0);
    /** 16x16 */ public static final @NotNull Icon C_private = load("nodes/c_private.svg", -1671359852, 0);
    /** 16x16 */ public static final @NotNull Icon C_protected = load("nodes/c_protected.svg", 1159444763, 0);
    /** 16x16 */ public static final @NotNull Icon C_public = load("nodes/c_public.svg", -347592828, 0);
    /** 16x16 */ public static final @NotNull Icon Class = load("nodes/class.svg", -1743468638, 0);
    /** 16x16 */ public static final @NotNull Icon ClassInitializer = load("nodes/classInitializer.svg", -198253534, 0);
    /** 16x16 */ public static final @NotNull Icon CompiledClassesFolder = load("nodes/compiledClassesFolder.svg", -676609983, 0);
    /** 16x16 */ public static final @NotNull Icon ConfigFolder = load("nodes/configFolder.svg", 1317520596, 0);
    /** 16x16 */ public static final @NotNull Icon Console = load("nodes/console.svg", -27575938, 0);
    /** 16x16 */ public static final @NotNull Icon Constant = load("nodes/constant.svg", 544645475, 0);
    /** 16x16 */ public static final @NotNull Icon Controller = load("nodes/controller.svg", 1620439546, 0);
    /** 16x16 */ public static final @NotNull Icon CopyOfFolder = load("nodes/copyOfFolder.svg", -2025532852, 0);
    /** 16x16 */ public static final @NotNull Icon CustomRegion = load("nodes/customRegion.svg", 949804722, 0);
    /** 16x16 */ public static final @NotNull Icon Cvs_global = load("nodes/cvs_global.svg", -1662521627, 0);
    /** 16x16 */ public static final @NotNull Icon Cvs_roots = load("nodes/cvs_roots.svg", -1957412699, 0);
    /** 16x16 */ public static final @NotNull Icon DataColumn = load("nodes/dataColumn.svg", -908837229, 0);
    /** 16x16 */ public static final @NotNull Icon DataSchema = load("nodes/dataSchema.svg", 1181318403, 0);
    /** 16x16 */ public static final @NotNull Icon DataTables = load("nodes/DataTables.svg", -1188550909, 0);
    /** 16x16 */ public static final @NotNull Icon Deploy = load("nodes/deploy.svg", 2002921846, 0);
    /** 16x16 */ public static final @NotNull Icon Desktop = load("nodes/desktop.svg", 1799661576, 2);
    /** 16x16 */ public static final @NotNull Icon DoneMark = load("nodes/doneMark.svg", -2031912572, 2);
    /** 16x16 */ public static final @NotNull Icon Editorconfig = load("nodes/editorconfig.svg", 1046427234, 0);
    /** 16x16 */ public static final @NotNull Icon EmptyNode = load("nodes/emptyNode.svg", 292220623, 0);
    /** 16x16 */ public static final @NotNull Icon EnterpriseProject = load("nodes/enterpriseProject.svg", 966553376, 0);
    /** 16x16 */ public static final @NotNull Icon EntryPoints = load("nodes/entryPoints.svg", -1030578839, 0);
    /** 16x16 */ public static final @NotNull Icon Enum = load("nodes/enum.svg", 2115350314, 1);
    /** 16x16 */ public static final @NotNull Icon ErrorIntroduction = load("nodes/errorIntroduction.svg", 448111547, 1);
    /** 16x16 */ public static final @NotNull Icon ErrorMark = load("nodes/errorMark.svg", -333005654, 2);
    /** 16x16 */ public static final @NotNull Icon ExceptionClass = load("nodes/exceptionClass.svg", -617077998, 0);
    /** 16x16 */ public static final @NotNull Icon ExcludedFromCompile = load("nodes/excludedFromCompile.svg", -76308018, 0);
    /** 16x16 */ public static final @NotNull Icon ExtractedFolder = load("nodes/extractedFolder.svg", -1989482515, 0);
    /** 16x16 */ public static final @NotNull Icon Favorite = load("nodes/favorite.svg", 1218377668, 0);
    /** 16x16 */ public static final @NotNull Icon Field = load("nodes/field.svg", 1097474166, 0);
    /** 16x16 */ public static final @NotNull Icon FieldPK = load("nodes/fieldPK.svg", -1767371983, 0);
    /** 16x16 */ public static final @NotNull Icon FilePrivate = load("nodes/filePrivate.svg", -994129381, 0);
    /** 16x16 */ public static final @NotNull Icon FinalMark = load("nodes/finalMark.svg", 1628192731, 0);
    /** 16x16 */ public static final @NotNull Icon Folder = load("nodes/folder.svg", 2019328058, 0);
    /** 16x16 */ public static final @NotNull Icon Function = load("nodes/function.svg", 1700453958, 0);
    /** 16x16 */ public static final @NotNull Icon Gvariable = load("nodes/gvariable.svg", 1588325011, 0);
    /** 16x16 */ public static final @NotNull Icon HomeFolder = load("nodes/homeFolder.svg", -2090248249, 2);
    /** 16x16 */ public static final @NotNull Icon IdeaModule = load("nodes/ideaModule.svg", -648139088, 0);
    /** 16x16 */ public static final @NotNull Icon IdeaProject = load("nodes/ideaProject.svg", -1122892419, 0);
    /** 16x16 */ public static final @NotNull Icon Include = load("nodes/include.svg", -421310662, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionResults = load("nodes/inspectionResults.svg", -1783618444, 0);
    /** 16x16 */ public static final @NotNull Icon Interface = load("nodes/interface.svg", -69612475, 1);
    /** 16x16 */ public static final @NotNull Icon J2eeParameter = load("nodes/j2eeParameter.svg", 1156158997, 0);
    /** 16x16 */ public static final @NotNull Icon JarDirectory = load("nodes/jarDirectory.svg", 253156683, 0);
    /** 16x16 */ public static final @NotNull Icon JavaDocFolder = load("nodes/javaDocFolder.svg", -1278376508, 0);
    /** 16x16 */ public static final @NotNull Icon JavaModule = load("nodes/javaModule.svg", -2045869406, 0);

    public static final class Jsf {
      /** 16x16 */ public static final @NotNull Icon Renderer = load("nodes/jsf/renderer.svg", 782978075, 0);
    }

    /** 16x16 */ public static final @NotNull Icon JunitTestMark = load("nodes/junitTestMark.svg", -20835007, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapAnt = load("nodes/keymapAnt.svg", -1202721365, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapEditor = load("nodes/keymapEditor.svg", -395639086, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapMainMenu = load("nodes/keymapMainMenu.svg", 1214890992, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapOther = load("nodes/keymapOther.svg", -523102318, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapTools = load("nodes/keymapTools.svg", -1809093121, 0);
    /** 16x16 */ public static final @NotNull Icon Lambda = load("nodes/lambda.svg", -1936915961, 0);
    /** 16x16 */ public static final @NotNull Icon Locked = load("nodes/locked.svg", -400908867, 0);
    /** 16x16 */ public static final @NotNull Icon LogFolder = load("nodes/logFolder.svg", 803907984, 2);
    /** 16x16 */ public static final @NotNull Icon Method = load("nodes/method.svg", 2013359301, 1);
    /** 16x16 */ public static final @NotNull Icon MethodReference = load("nodes/methodReference.svg", 1458617802, 1);
    /** 16x16 */ public static final @NotNull Icon Mnemonic = load("nodes/mnemonic.svg", 2121542026, 2);
    /** 16x16 */ public static final @NotNull Icon ModelClass = load("nodes/modelClass.svg", 1137772337, 0);
    /** 16x16 */ public static final @NotNull Icon Models = load("nodes/models.svg", -1454616381, 0);
    /** 16x16 */ public static final @NotNull Icon Module = load("nodes/Module.svg", -1143147834, 0);
    /** 16x16 */ public static final @NotNull Icon ModuleGroup = load("nodes/moduleGroup.svg", -2002376769, 0);
    /** 16x16 */ public static final @NotNull Icon MultipleTypeDefinitions = load("nodes/multipleTypeDefinitions.svg", 1800410733, 0);
    /** 16x16 */ public static final @NotNull Icon NativeLibrariesFolder = load("nodes/nativeLibrariesFolder.svg", -1329838730, 0);
    /** 16x16 */ public static final @NotNull Icon NewParameter = load("nodes/newParameter.svg", -1826613961, 0);
    /** 16x16 */ public static final @NotNull Icon NodePlaceholder = load("nodes/nodePlaceholder.svg", 2008132852, 0);
    /** 16x16 */ public static final @NotNull Icon NotFavoriteOnHover = load("nodes/notFavoriteOnHover.svg", 1317875, 0);
    /** 16x16 */ public static final @NotNull Icon ObjectTypeAttribute = load("nodes/objectTypeAttribute.svg", -506233831, 0);
    /** 16x16 */ public static final @NotNull Icon Package = load("nodes/package.svg", 1861717943, 0);
    /** 16x16 */ public static final @NotNull Icon PackageLocal = load("nodes/packageLocal.svg", 65155805, 0);
    /** 16x16 */ public static final @NotNull Icon Padlock = load("nodes/padlock.svg", -2021889079, 0);
    /** 16x16 */ public static final @NotNull Icon Parameter = load("nodes/parameter.svg", -1804690691, 0);
    /** 16x16 */ public static final @NotNull Icon Plugin = load("nodes/plugin.svg", 1159202252, 0);
    /** 16x16 */ public static final @NotNull Icon PluginJB = load("nodes/pluginJB.svg", 112169641, 0);
    /** 32x32 */ public static final @NotNull Icon PluginLogo = load("nodes/pluginLogo.svg", 1162339676, 0);
    /** 16x16 */ public static final @NotNull Icon Pluginnotinstalled = load("nodes/pluginnotinstalled.svg", -1226987569, 0);
    /** 16x16 */ public static final @NotNull Icon Pluginobsolete = load("nodes/pluginobsolete.svg", 434553252, 0);
    /** 16x16 */ public static final @NotNull Icon PluginRestart = load("nodes/pluginRestart.svg", -964484113, 0);
    /** 16x16 */ public static final @NotNull Icon PpInvalid = load("nodes/ppInvalid.svg", 1279584555, 0);
    /** 16x16 */ public static final @NotNull Icon PpJar = load("nodes/ppJar.svg", 1724929733, 0);
    /** 16x16 */ public static final @NotNull Icon PpJdk = load("nodes/ppJdk.svg", -48544493, 0);
    /** 16x16 */ public static final @NotNull Icon PpLib = load("nodes/ppLib.svg", -1975878043, 0);
    /** 16x16 */ public static final @NotNull Icon PpLibFolder = load("nodes/ppLibFolder.svg", -247146458, 0);
    /** 16x16 */ public static final @NotNull Icon PpWeb = load("nodes/ppWeb.svg", -843608190, 0);
    /** 16x16 */ public static final @NotNull Icon Private = load("nodes/private.svg", 6373610, 0);
    /** 16x16 */ public static final @NotNull Icon ProcessMark = load("nodes/processMark.svg", -715699382, 2);
    /** 16x16 */ public static final @NotNull Icon Project = load("nodes/project.svg", -1630207412, 0);
    /** 16x16 */ public static final @NotNull Icon Property = load("nodes/property.svg", -1835891872, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyRead = load("nodes/propertyRead.svg", 1991186911, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyReadStatic = load("nodes/propertyReadStatic.svg", -728502194, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyReadWrite = load("nodes/propertyReadWrite.svg", 882552912, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyReadWriteStatic = load("nodes/propertyReadWriteStatic.svg", 1601438597, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyWrite = load("nodes/propertyWrite.svg", -353223402, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyWriteStatic = load("nodes/propertyWriteStatic.svg", -1013914496, 0);
    /** 16x16 */ public static final @NotNull Icon Protected = load("nodes/protected.svg", 1760818761, 0);
    /** 16x16 */ public static final @NotNull Icon Public = load("nodes/public.svg", 278594114, 0);
    /** 16x16 */ public static final @NotNull Icon ReadAccess = load("nodes/read-access.svg", 976572554, 0);
    /** 16x16 */ public static final @NotNull Icon Record = load("nodes/record.svg", 792810799, 0);
    /** 16x16 */ public static final @NotNull Icon Related = load("nodes/related.svg", 181928125, 0);
    /** 16x16 */ public static final @NotNull Icon ResourceBundle = load("nodes/resourceBundle.svg", 1905829406, 0);
    /** 16x16 */ public static final @NotNull Icon RunnableMark = load("nodes/runnableMark.svg", 1719947596, 0);
    /** 16x16 */ public static final @NotNull Icon RwAccess = load("nodes/rw-access.svg", 1954938939, 0);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Rw_access = RwAccess;
    /** 16x16 */ public static final @NotNull Icon SecurityRole = load("nodes/securityRole.svg", 1897664688, 0);
    /** 16x16 */ public static final @NotNull Icon Services = load("nodes/services.svg", 337169736, 0);
    /** 16x16 */ public static final @NotNull Icon Servlet = load("nodes/servlet.svg", 733112796, 0);
    /** 16x16 */ public static final @NotNull Icon Shared = load("nodes/shared.svg", -1164672768, 0);
    /** 16x16 */ public static final @NotNull Icon SortBySeverity = load("nodes/sortBySeverity.svg", 1542810283, 2);
    /** 16x16 */ public static final @NotNull Icon Static = load("nodes/static.svg", 1779866203, 0);
    /** 16x16 */ public static final @NotNull Icon StaticMark = load("nodes/staticMark.svg", 1790064976, 0);
    /** 16x16 */ public static final @NotNull Icon Symlink = load("nodes/symlink.svg", 1056353395, 0);
    /** 16x16 */ public static final @NotNull Icon TabAlert = load("nodes/tabAlert.svg", -1062837568, 0);
    /** 16x16 */ public static final @NotNull Icon TabPin = load("nodes/tabPin.svg", -677372027, 0);
    /** 16x16 */ public static final @NotNull Icon Tag = load("nodes/tag.svg", -225453071, 0);
    /** 16x16 */ public static final @NotNull Icon Target = load("nodes/target.svg", -1286994398, 0);
    /** 16x16 */ public static final @NotNull Icon Template = load("nodes/template.svg", 1727574160, 0);
    /** 16x16 */ public static final @NotNull Icon Test = load("nodes/test.svg", 375201643, 0);
    /** 16x16 */ public static final @NotNull Icon TestGroup = load("nodes/testGroup.svg", -2101325099, 0);
    /** 16x16 */ public static final @NotNull Icon TestIgnored = load("nodes/testIgnored.svg", 240826196, 0);
    /** 16x16 */ public static final @NotNull Icon TestSourceFolder = load("nodes/testSourceFolder.svg", 283549811, 0);
    /** 16x16 */ public static final @NotNull Icon TextArea = load("nodes/textArea.svg", -1086702401, 0);
    /** 16x16 */ public static final @NotNull Icon Toolbox = load("nodes/toolbox.svg", 780791273, 0);
    /** 16x16 */ public static final @NotNull Icon Type = load("nodes/type.svg", -433681703, 0);
    /** 16x16 */ public static final @NotNull Icon Undeploy = load("nodes/undeploy.svg", -231716607, 0);
    /** 16x16 */ public static final @NotNull Icon Unknown = load("nodes/unknown.svg", -2090003992, 0);
    /** 16x16 */ public static final @NotNull Icon UnknownJdk = load("nodes/unknownJdk.svg", -1092344810, 0);
    /** 16x16 */ public static final @NotNull Icon UpFolder = load("nodes/upFolder.svg", -332939287, 0);
    /** 16x16 */ public static final @NotNull Icon UpLevel = load("nodes/upLevel.svg", 1187869475, 0);
    /** 16x16 */ public static final @NotNull Icon Variable = load("nodes/variable.svg", 202612750, 0);
    /** 16x16 */ public static final @NotNull Icon WarningIntroduction = load("nodes/warningIntroduction.svg", -1151207099, 1);
    /** 16x16 */ public static final @NotNull Icon WarningMark = load("nodes/warningMark.svg", 1324683432, 2);
    /** 16x16 */ public static final @NotNull Icon WebFolder = load("nodes/webFolder.svg", 1774384502, 0);
    /** 16x16 */ public static final @NotNull Icon Weblistener = load("nodes/weblistener.svg", 267502299, 0);
    /** 16x16 */ public static final @NotNull Icon Word = load("nodes/word.svg", 1787364212, 0);
    /** 16x16 */ public static final @NotNull Icon WriteAccess = load("nodes/write-access.svg", -2011895668, 0);
  }

  public static final class ObjectBrowser {
    /** 16x16 */ public static final @NotNull Icon AbbreviatePackageNames = load("objectBrowser/abbreviatePackageNames.svg", -105116624, 2);
    /** 16x16 */ public static final @NotNull Icon CompactEmptyPackages = load("objectBrowser/compactEmptyPackages.svg", 893189881, 2);
    /** 16x16 */ public static final @NotNull Icon FlattenModules = load("objectBrowser/flattenModules.svg", -112781444, 2);
    /** 16x16 */ public static final @NotNull Icon FlattenPackages = load("objectBrowser/flattenPackages.svg", -1533790830, 2);
    /** 16x16 */ public static final @NotNull Icon ShowLibraryContents = load("objectBrowser/showLibraryContents.svg", -1917553450, 2);
    /** 16x16 */ public static final @NotNull Icon ShowMembers = load("objectBrowser/showMembers.svg", -1468942353, 0);
    /** 16x16 */ public static final @NotNull Icon SortByType = load("objectBrowser/sortByType.svg", -2038431425, 2);
    /** 16x16 */ public static final @NotNull Icon Sorted = load("objectBrowser/sorted.svg", -793497072, 2);
    /** 16x16 */ public static final @NotNull Icon SortedByUsage = load("objectBrowser/sortedByUsage.svg", 1942153214, 2);
    /** 16x16 */ public static final @NotNull Icon VisibilitySort = load("objectBrowser/visibilitySort.svg", -1190135106, 2);
  }

  public static final class Plugins {
    /** 16x16 */ public static final @NotNull Icon Disabled = load("plugins/disabled.svg", -13098537, 0);
    /** 12x12 */ public static final @NotNull Icon Downloads = load("plugins/downloads.svg", -1364101609, 2);
    /** 15x15 */ public static final @NotNull Icon ModifierInvalid = load("plugins/modifierInvalid.svg", -1948773406, 2);
    /** 40x40 */ public static final @NotNull Icon PluginLogo = load("plugins/pluginLogo.svg", -810112339, 0);
    /** 40x40 */ public static final @NotNull Icon PluginLogoDisabled = load("plugins/pluginLogoDisabled.svg", 518539309, 0);
    /** 12x12 */ public static final @NotNull Icon Rating = load("plugins/rating.svg", -1118432424, 2);
    /** 12x12 */ public static final @NotNull Icon Updated = load("plugins/updated.svg", 1079584345, 2);
  }

  public static final class Process {
    public static final class Big {
      /** 32x32 */ public static final @NotNull Icon Step_1 = load("process/big/step_1.svg", -390083151, 0);
      /** 32x32 */ public static final @NotNull Icon Step_2 = load("process/big/step_2.svg", 1084877738, 0);
      /** 32x32 */ public static final @NotNull Icon Step_3 = load("process/big/step_3.svg", -1322555832, 0);
      /** 32x32 */ public static final @NotNull Icon Step_4 = load("process/big/step_4.svg", -1254653775, 0);
      /** 32x32 */ public static final @NotNull Icon Step_5 = load("process/big/step_5.svg", 2063341610, 0);
      /** 32x32 */ public static final @NotNull Icon Step_6 = load("process/big/step_6.svg", 538288797, 0);
      /** 32x32 */ public static final @NotNull Icon Step_7 = load("process/big/step_7.svg", -1178790853, 0);
      /** 32x32 */ public static final @NotNull Icon Step_8 = load("process/big/step_8.svg", 1842328288, 0);
      /** 32x32 */ public static final @NotNull Icon Step_passive = load("process/big/step_passive.svg", -1128456133, 0);
    }

    public static final class FS {
      /** 16x16 */ public static final @NotNull Icon Step_1 = load("process/fs/step_1.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_10 = load("process/fs/step_10.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_11 = load("process/fs/step_11.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_12 = load("process/fs/step_12.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_13 = load("process/fs/step_13.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_14 = load("process/fs/step_14.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_15 = load("process/fs/step_15.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_16 = load("process/fs/step_16.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_17 = load("process/fs/step_17.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_18 = load("process/fs/step_18.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_2 = load("process/fs/step_2.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_3 = load("process/fs/step_3.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_4 = load("process/fs/step_4.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_5 = load("process/fs/step_5.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_6 = load("process/fs/step_6.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_7 = load("process/fs/step_7.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_8 = load("process/fs/step_8.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_9 = load("process/fs/step_9.png", 0, 7);
      /** 16x16 */ public static final @NotNull Icon Step_mask = load("process/fs/step_mask.png", 0, 1);
      /** 16x16 */ public static final @NotNull Icon Step_passive = load("process/fs/step_passive.png", 0, 7);
    }

    /** 14x14 */ public static final @NotNull Icon ProgressPause = load("process/progressPause.svg", -615339584, 0);
    /** 14x14 */ public static final @NotNull Icon ProgressPauseHover = load("process/progressPauseHover.svg", -856724051, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressPauseSmall = load("process/progressPauseSmall.svg", 1149912994, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressPauseSmallHover = load("process/progressPauseSmallHover.svg", 1689159836, 0);
    /** 14x14 */ public static final @NotNull Icon ProgressResume = load("process/progressResume.svg", 1986536687, 0);
    /** 14x14 */ public static final @NotNull Icon ProgressResumeHover = load("process/progressResumeHover.svg", -1030186688, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressResumeSmall = load("process/progressResumeSmall.svg", -992848228, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressResumeSmallHover = load("process/progressResumeSmallHover.svg", 856824669, 0);
    /** 16x16 */ public static final @NotNull Icon Step_1 = load("process/step_1.svg", 1096207766, 0);
    /** 16x16 */ public static final @NotNull Icon Step_2 = load("process/step_2.svg", 792093720, 0);
    /** 16x16 */ public static final @NotNull Icon Step_3 = load("process/step_3.svg", 496735514, 0);
    /** 16x16 */ public static final @NotNull Icon Step_4 = load("process/step_4.svg", 679304761, 0);
    /** 16x16 */ public static final @NotNull Icon Step_5 = load("process/step_5.svg", -1178739226, 0);
    /** 16x16 */ public static final @NotNull Icon Step_6 = load("process/step_6.svg", 1292238473, 0);
    /** 16x16 */ public static final @NotNull Icon Step_7 = load("process/step_7.svg", -1755428859, 0);
    /** 16x16 */ public static final @NotNull Icon Step_8 = load("process/step_8.svg", 511473509, 0);
    /** 16x16 */ public static final @NotNull Icon Step_mask = load("process/step_mask.svg", 874000594, 0);
    /** 16x16 */ public static final @NotNull Icon Step_passive = load("process/step_passive.svg", -738923223, 0);
    /** 14x14 */ public static final @NotNull Icon Stop = load("process/stop.svg", -773089280, 0);
    /** 14x14 */ public static final @NotNull Icon StopHovered = load("process/stopHovered.svg", 1218260225, 0);
    /** 12x12 */ public static final @NotNull Icon StopSmall = load("process/stopSmall.svg", -841218476, 0);
    /** 12x12 */ public static final @NotNull Icon StopSmallHovered = load("process/stopSmallHovered.svg", 1607109367, 0);
  }

  public static final class Profiler {
    /** 9x9 */ public static final @NotNull Icon CollapseNode = load("profiler/collapseNode.svg", -1235241716, 2);
    /** 9x9 */ public static final @NotNull Icon ExpandNode = load("profiler/expandNode.svg", 1494161233, 2);
    /** 12x12 */ public static final @NotNull Icon Rec = load("profiler/rec.svg", 817869116, 2);
    /** 12x12 */ public static final @NotNull Icon RecInactive = load("profiler/recInactive.svg", 1510218185, 2);
  }

  public static final class Providers {
    /** 16x16 */ public static final @NotNull Icon Apache = load("providers/apache.svg", -2007456196, 2);
    /** 16x16 */ public static final @NotNull Icon ApacheDerby = load("providers/apacheDerby.svg", 2007661556, 2);
    /** 16x16 */ public static final @NotNull Icon ApacheIgnite = load("providers/apacheIgnite.svg", -261830919, 2);
    /** 16x16 */ public static final @NotNull Icon ApachePhoenix = load("providers/apachePhoenix.svg", 552489855, 0);
    /** 16x16 */ public static final @NotNull Icon Athena = load("providers/athena.svg", 1983262627, 0);
    /** 16x16 */ public static final @NotNull Icon Azure = load("providers/azure.svg", -985103458, 0);
    /** 16x16 */ public static final @NotNull Icon BigQuery = load("providers/bigQuery.svg", 1252118086, 0);
    /** 16x16 */ public static final @NotNull Icon Cassandra = load("providers/cassandra.svg", -220152162, 2);
    /** 16x16 */ public static final @NotNull Icon ClickHouse = load("providers/clickHouse.svg", -1011635017, 0);
    /** 16x16 */ public static final @NotNull Icon CockroachDB = load("providers/cockroachDB.svg", -2109681782, 0);
    /** 16x16 */ public static final @NotNull Icon Couchbase = load("providers/couchbase.svg", -1641446753, 0);
    /** 16x16 */ public static final @NotNull Icon DB2 = load("providers/DB2.svg", -1522128644, 2);
    /** 16x16 */ public static final @NotNull Icon DocumentDB = load("providers/documentDB.svg", 2069124131, 2);
    /** 16x16 */ public static final @NotNull Icon DuckDB = load("providers/duckDB.svg", -378866188, 2);
    /** 16x16 */ public static final @NotNull Icon Eclipse = load("providers/eclipse.svg", 145415953, 2);
    /** 16x16 */ public static final @NotNull Icon Elasticsearch = load("providers/elasticsearch.svg", 1746884495, 0);
    /** 16x16 */ public static final @NotNull Icon Exasol = load("providers/exasol.svg", 1901972329, 2);
    /** 16x16 */ public static final @NotNull Icon Firebird = load("providers/firebird.svg", 1292541438, 0);
    /** 16x16 */ public static final @NotNull Icon GoogleCloudSpanner = load("providers/googleCloudSpanner.svg", 931701135, 0);
    /** 16x16 */ public static final @NotNull Icon Greenplum = load("providers/greenplum.svg", 818698362, 0);
    /** 16x16 */ public static final @NotNull Icon H2 = load("providers/h2.svg", 771390903, 2);
    /** 16x16 */ public static final @NotNull Icon HANA = load("providers/HANA.svg", -797032814, 0);
    /** 16x16 */ public static final @NotNull Icon Hive = load("providers/hive.svg", -1098165681, 2);
    /** 16x16 */ public static final @NotNull Icon Hsqldb = load("providers/hsqldb.svg", 2135639444, 0);
    /** 16x16 */ public static final @NotNull Icon Ibm = load("providers/ibm.svg", 149374850, 2);
    /** 16x16 */ public static final @NotNull Icon Impala = load("providers/impala.svg", 62844331, 2);
    /** 16x16 */ public static final @NotNull Icon Informix = load("providers/informix.svg", -865391280, 0);
    /** 16x16 */ public static final @NotNull Icon IntersystemCache = load("providers/intersystemCache.svg", 1374757188, 2);
    /** 16x16 */ public static final @NotNull Icon Liquibase = load("providers/liquibase.svg", 1415930944, 0);
    /** 16x16 */ public static final @NotNull Icon Mariadb = load("providers/mariadb.svg", -1851158467, 2);
    /** 16x16 */ public static final @NotNull Icon Microsoft = load("providers/microsoft.svg", -1855703880, 0);
    /** 16x17 */ public static final @NotNull Icon MimerSQL = load("providers/mimerSQL.svg", -1657598874, 2);
    /** 16x16 */ public static final @NotNull Icon MongoDB = load("providers/mongoDB.svg", 784940895, 0);
    /** 16x16 */ public static final @NotNull Icon Mysql = load("providers/mysql.svg", 473917989, 2);
    /** 16x16 */ public static final @NotNull Icon Netezza = load("providers/netezza.svg", -210335153, 2);
    /** 16x16 */ public static final @NotNull Icon Openedge = load("providers/openedge.svg", 671740070, 0);
    /** 16x16 */ public static final @NotNull Icon Oracle = load("providers/oracle.svg", -1917715935, 0);
    /** 16x16 */ public static final @NotNull Icon Postgresql = load("providers/postgresql.svg", -815124947, 2);
    /** 16x16 */ public static final @NotNull Icon Presto = load("providers/presto.svg", 1495406622, 2);
    /** 16x16 */ public static final @NotNull Icon Redis = load("providers/redis.svg", -1490914869, 2);
    /** 16x16 */ public static final @NotNull Icon Redshift = load("providers/redshift.svg", -1432211541, 0);
    /** 16x16 */ public static final @NotNull Icon Singlestore = load("providers/singlestore.svg", -472728357, 0);
    /** 16x16 */ public static final @NotNull Icon Snowflake = load("providers/snowflake.svg", -1417536436, 0);
    /** 16x16 */ public static final @NotNull Icon Spark = load("providers/spark.svg", -2048926155, 0);
    /** 16x16 */ public static final @NotNull Icon Sqlite = load("providers/sqlite.svg", -302060295, 2);
    /** 16x16 */ public static final @NotNull Icon SqlServer = load("providers/sqlServer.svg", -1369018194, 2);
    /** 16x16 */ public static final @NotNull Icon Sun = load("providers/sun.svg", -1231583043, 2);
    /** 16x16 */ public static final @NotNull Icon Sybase = load("providers/sybase.svg", 219220365, 0);
    /** 16x16 */ public static final @NotNull Icon Tarantool = load("providers/tarantool.svg", 550744063, 0);
    /** 16x16 */ public static final @NotNull Icon Teradata = load("providers/teradata.svg", 1024470198, 0);
    /** 16x16 */ public static final @NotNull Icon Tibero = load("providers/tibero.svg", 375291050, 2);
    /** 16x16 */ public static final @NotNull Icon Tidb = load("providers/tidb.svg", 1648317181, 0);
    /** 16x16 */ public static final @NotNull Icon Trino = load("providers/trino.svg", -937047455, 2);
    /** 16x16 */ public static final @NotNull Icon Vertica = load("providers/vertica.svg", 1013162891, 2);
    /** 16x16 */ public static final @NotNull Icon Yugabyte = load("providers/yugabyte.svg", -547247900, 2);
  }

  public static final class RunConfigurations {
    /** 16x16 */ public static final @NotNull Icon Applet = load("runConfigurations/applet.svg", 136342776, 0);
    /** 16x16 */ public static final @NotNull Icon Application = load("runConfigurations/application.svg", -1742014435, 0);
    /** 16x16 */ public static final @NotNull Icon Compound = load("runConfigurations/compound.svg", 234998754, 0);
    /** 16x16 */ public static final @NotNull Icon HidePassed = load("runConfigurations/hidePassed.svg", 1167435976, 2);
    /** 16x16 */ public static final @NotNull Icon IgnoredTest = load("runConfigurations/ignoredTest.svg", 110840920, 2);
    /** 16x16 */ public static final @NotNull Icon InvalidConfigurationLayer = load("runConfigurations/invalidConfigurationLayer.svg", 1898814199, 0);
    /** 16x16 */ public static final @NotNull Icon Junit = load("runConfigurations/junit.svg", 1640051217, 0);
    /** 16x16 */ public static final @NotNull Icon Remote = load("runConfigurations/remote.svg", 188366661, 2);
    /** 16x16 */ public static final @NotNull Icon RemoteDebug = load("runConfigurations/remoteDebug.svg", 930818927, 2);
    /** 16x16 */ public static final @NotNull Icon RerunFailedTests = load("runConfigurations/rerunFailedTests.svg", 225514924, 2);
    /** 16x16 */ public static final @NotNull Icon Scroll_down = load("runConfigurations/scroll_down.svg", 767035664, 2);
    /** 16x16 */ public static final @NotNull Icon Scroll_up = load("runConfigurations/scroll_up.svg", -613031635, 2);
    /** 16x16 */ public static final @NotNull Icon ShowIgnored = load("runConfigurations/showIgnored.svg", -1697913984, 2);
    /** 16x16 */ public static final @NotNull Icon ShowPassed = load("runConfigurations/showPassed.svg", 1334729651, 2);
    /** 16x16 */ public static final @NotNull Icon SortbyDuration = load("runConfigurations/sortbyDuration.svg", -571372442, 2);
    /** 16x16 */ public static final @NotNull Icon TestCustom = load("runConfigurations/testCustom.svg", 806522165, 0);
    /** 16x16 */ public static final @NotNull Icon TestError = load("runConfigurations/testError.svg", -294016400, 0);
    /** 16x16 */ public static final @NotNull Icon TestFailed = load("runConfigurations/testFailed.svg", -1723721167, 0);
    /** 16x16 */ public static final @NotNull Icon TestIgnored = load("runConfigurations/testIgnored.svg", -2007397941, 0);
    /** 16x16 */ public static final @NotNull Icon TestMark = load("runConfigurations/testMark.svg", 543690072, 0);
    /** 16x16 */ public static final @NotNull Icon TestNotRan = load("runConfigurations/testNotRan.svg", 2125445122, 0);
    /** 16x16 */ public static final @NotNull Icon TestPassed = load("runConfigurations/testPassed.svg", 905484092, 0);
    /** 16x16 */ public static final @NotNull Icon TestPassedIgnored = load("runConfigurations/testPassedIgnored.svg", 214052345, 0);
    /** 16x16 */ public static final @NotNull Icon TestPaused = load("runConfigurations/testPaused.svg", 640449988, 0);
    /** 16x16 */ public static final @NotNull Icon TestSkipped = load("runConfigurations/testSkipped.svg", 410927572, 0);

    public static final class TestState {
      /** 12x12 */ public static final @NotNull Icon Green2 = load("runConfigurations/testState/green2.svg", 1821553853, 2);
      /** 12x12 */ public static final @NotNull Icon Red2 = load("runConfigurations/testState/red2.svg", 1806773024, 2);
      /** 12x12 */ public static final @NotNull Icon Run = load("runConfigurations/testState/run.svg", 1449358208, 2);
      /** 12x12 */ public static final @NotNull Icon Run_run = load("runConfigurations/testState/run_run.svg", 782216828, 2);
      /** 12x12 */ public static final @NotNull Icon Yellow2 = load("runConfigurations/testState/yellow2.svg", 698729844, 2);
    }

    /** 16x16 */ public static final @NotNull Icon TestTerminated = load("runConfigurations/testTerminated.svg", 1044004678, 0);
    /** 16x16 */ public static final @NotNull Icon TestUnknown = load("runConfigurations/testUnknown.svg", -909218421, 0);
    /** 16x16 */ public static final @NotNull Icon Tomcat = load("runConfigurations/tomcat.svg", -1777611696, 0);
    /** 16x16 */ public static final @NotNull Icon ToolbarError = load("runConfigurations/toolbarError.svg", 377479880, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarFailed = load("runConfigurations/toolbarFailed.svg", -976551404, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarPassed = load("runConfigurations/toolbarPassed.svg", -612404887, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarPassedIgnored = load("runConfigurations/toolbarPassedIgnored.svg", -2057153635, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarSkipped = load("runConfigurations/toolbarSkipped.svg", 1602720714, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarTerminated = load("runConfigurations/toolbarTerminated.svg", 1903197216, 2);
    /** 16x16 */ public static final @NotNull Icon TrackCoverage = load("runConfigurations/trackCoverage.svg", -1785737081, 2);
    /** 16x16 */ public static final @NotNull Icon Web_app = load("runConfigurations/web_app.svg", 873755669, 0);
    /** 16x16 */ public static final @NotNull Icon Wsl = load("runConfigurations/wsl.svg", -1578886975, 2);
  }

  public static final class Scope {
    /** 16x16 */ public static final @NotNull Icon ChangedFiles = load("scope/changedFiles.svg", 1511629126, 0);
    /** 16x16 */ public static final @NotNull Icon ChangedFilesAll = load("scope/changedFilesAll.svg", 170328667, 0);
    /** 16x16 */ public static final @NotNull Icon Problems = load("scope/problems.svg", -1845875232, 0);
    /** 16x16 */ public static final @NotNull Icon Production = load("scope/production.svg", -531705307, 0);
    /** 16x16 */ public static final @NotNull Icon Scratches = load("scope/scratches.svg", 746266347, 0);
    /** 16x16 */ public static final @NotNull Icon Tests = load("scope/tests.svg", 483983235, 0);
  }

  public static final class Status {
    /** 16x16 */ public static final @NotNull Icon FailedInProgress = load("status/failedInProgress.svg", -1938290202, 0);
  }

  public static final class Toolbar {
    /** 16x16 */ public static final @NotNull Icon AddSlot = load("toolbar/addSlot.svg", -748100393, 2);
    /** 16x16 */ public static final @NotNull Icon Collapse = load("toolbar/collapse.svg", -1274953883, 2);
    /** 16x16 */ public static final @NotNull Icon Expand = load("toolbar/expand.svg", 1910278326, 2);
    /** 16x16 */ public static final @NotNull Icon Filterdups = load("toolbar/filterdups.svg", -709369964, 2);
    /** 16x16 */ public static final @NotNull Icon Locale = load("toolbar/locale.svg", -635706606, 2);
    /** 16x16 */ public static final @NotNull Icon Pin = load("toolbar/pin.svg", 175052682, 2);
    /** 16x16 */ public static final @NotNull Icon RemoveSlot = load("toolbar/removeSlot.svg", 226361258, 2);
    /** 16x16 */ public static final @NotNull Icon Unknown = load("toolbar/unknown.svg", -1983460170, 2);
    /** 16x16 */ public static final @NotNull Icon Xcode = load("toolbar/Xcode.svg", -1414632127, 2);
  }

  public static final class ToolbarDecorator {
    /** 16x16 */ public static final @NotNull Icon AddBlankLine = load("toolbarDecorator/addBlankLine.svg", -1824858633, 2);
    /** 16x16 */ public static final @NotNull Icon AddClass = load("toolbarDecorator/addClass.svg", -1210572040, 2);
    /** 16x16 */ public static final @NotNull Icon AddFolder = load("toolbarDecorator/addFolder.svg", 1649237338, 2);
    /** 16x16 */ public static final @NotNull Icon AddIcon = load("toolbarDecorator/addIcon.svg", -907061744, 2);
    /** 16x16 */ public static final @NotNull Icon AddJira = load("toolbarDecorator/addJira.svg", -1682779513, 2);
    /** 16x16 */ public static final @NotNull Icon AddLink = load("toolbarDecorator/addLink.svg", 829577096, 2);
    /** 16x16 */ public static final @NotNull Icon AddPattern = load("toolbarDecorator/addPattern.svg", 54808103, 2);
    /** 16x16 */ public static final @NotNull Icon AddRemoteDatasource = load("toolbarDecorator/addRemoteDatasource.svg", 1356257103, 2);
    /** 16x16 */ public static final @NotNull Icon AddYouTrack = load("toolbarDecorator/addYouTrack.svg", -2134948923, 2);
    /** 16x16 */ public static final @NotNull Icon Export = load("toolbarDecorator/export.svg", -582407957, 2);
    /** 16x16 */ public static final @NotNull Icon ExportSmall = load("toolbarDecorator/exportSmall.svg", -2144184154, 2);
    /** 16x16 */ public static final @NotNull Icon Import = load("toolbarDecorator/import.svg", 1083587075, 2);
  }

  public static final class Toolwindows {
    /** 13x13 */ public static final @NotNull Icon Documentation = load("toolwindows/documentation.svg", -109460896, 2);
    /** 13x13 */ public static final @NotNull Icon ErrorEvents = load("toolwindows/errorEvents.svg", -1325472331, 2);
    /** 13x13 */ public static final @NotNull Icon InfoEvents = load("toolwindows/infoEvents.svg", -1959104863, 2);
    /** 13x13 */ public static final @NotNull Icon NoEvents = load("toolwindows/noEvents.svg", -54977595, 2);
    /** 13x13 */ public static final @NotNull Icon Notifications = load("toolwindows/notifications.svg", -1680199155, 2);
    /** 13x13 */ public static final @NotNull Icon NotificationsNew = load("toolwindows/notificationsNew.svg", 919374629, 2);
    /** 13x13 */ public static final @NotNull Icon NotificationsNewImportant = load("toolwindows/notificationsNewImportant.svg", 226838636, 2);
    /** 13x13 */ public static final @NotNull Icon Problems = load("toolwindows/problems.svg", 938475021, 2);
    /** 13x13 */ public static final @NotNull Icon ProblemsEmpty = load("toolwindows/problemsEmpty.svg", -1057907657, 2);
    /** 13x13 */ public static final @NotNull Icon SettingSync = load("toolwindows/settingSync.svg", 1648539423, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowAnalyzeDataflow = load("toolwindows/toolWindowAnalyzeDataflow.svg", 189004352, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowAnt = load("toolwindows/toolWindowAnt.svg", 83507012, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowBookmarks = load("toolwindows/toolWindowBookmarks.svg", 1537100887, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowBuild = load("toolwindows/toolWindowBuild.svg", 1609006856, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowChanges = load("toolwindows/toolWindowChanges.svg", -1074283629, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowCommander = load("toolwindows/toolWindowCommander.svg", 53167505, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowCommit = load("toolwindows/toolWindowCommit.svg", -1367495417, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowCoverage = load("toolwindows/toolWindowCoverage.svg", -422346567, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowDebugger = load("toolwindows/toolWindowDebugger.svg", -959943457, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowFavorites = load("toolwindows/toolWindowFavorites.svg", -415643095, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowFind = load("toolwindows/toolWindowFind.svg", 1561067169, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowHierarchy = load("toolwindows/toolWindowHierarchy.svg", -1521005892, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowInspection = load("toolwindows/toolWindowInspection.svg", 2065398678, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowJsonPath = load("toolwindows/toolWindowJsonPath.svg", 730927611, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowMessages = load("toolwindows/toolWindowMessages.svg", 1219242255, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowModuleDependencies = load("toolwindows/toolWindowModuleDependencies.svg", -586378866, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowPalette = load("toolwindows/toolWindowPalette.svg", -903192305, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProblems = load("toolwindows/toolWindowProblems.svg", -1485060564, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProblemsEmpty = load("toolwindows/toolWindowProblemsEmpty.svg", 2087506299, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProfiler = load("toolwindows/toolWindowProfiler.svg", -1168384124, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProject = load("toolwindows/toolWindowProject.svg", -1277369289, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowRun = load("toolwindows/toolWindowRun.svg", -1081152796, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowServices = load("toolwindows/toolWindowServices.svg", -1749159685, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowStructure = load("toolwindows/toolWindowStructure.svg", -2105655116, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowTodo = load("toolwindows/toolWindowTodo.svg", -637209258, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowUIDesigner = load("toolwindows/toolWindowUIDesigner.svg", -1065350845, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowVariableView = load("toolwindows/toolWindowVariableView.svg", 1793105539, 2);
    /** 13x13 */ public static final @NotNull Icon WarningEvents = load("toolwindows/warningEvents.svg", -927993351, 2);
    /** 13x13 */ public static final @NotNull Icon WebToolWindow = load("toolwindows/webToolWindow.svg", 1598612288, 2);
  }

  public static final class Vcs {
    /** 16x16 */ public static final @NotNull Icon Arrow_left = load("vcs/arrow_left.svg", -1243924759, 2);
    /** 16x16 */ public static final @NotNull Icon Arrow_right = load("vcs/arrow_right.svg", 400732895, 2);
    /** 16x16 */ public static final @NotNull Icon Author = load("vcs/author.svg", 1419107175, 0);
    /** 16x16 */ public static final @NotNull Icon Branch = load("vcs/branch.svg", -2053723348, 2);
    /** 16x16 */ public static final @NotNull Icon BranchNode = load("vcs/branchNode.svg", -1808230994, 0);
    /** 16x16 */ public static final @NotNull Icon Changelist = load("vcs/changelist.svg", -31009831, 2);
    /** 16x16 */ public static final @NotNull Icon Clone = load("vcs/clone.svg", -1602135819, 2);
    /** 16x16 */ public static final @NotNull Icon CommitNode = load("vcs/commitNode.svg", -934467947, 0);
    /** 16x16 */ public static final @NotNull Icon Equal = load("vcs/equal.svg", -1858361404, 2);
    /** 16x16 */ public static final @NotNull Icon Fetch = load("vcs/fetch.svg", 1838558760, 2);
    /** 16x16 */ public static final @NotNull Icon Folders = load("vcs/folders.svg", 1154458597, 2);
    /** 24x24 */ public static final @NotNull Icon FromVCSDialog = load("vcs/fromVCSDialog.svg", -670215851, 2);
    /** 16x16 */ public static final @NotNull Icon History = load("vcs/history.svg", 289178641, 2);
    /** 16x16 */ public static final @NotNull Icon HistoryInline = load("vcs/historyInline.svg", 1548003793, 0);
    /** 16x16 */ public static final @NotNull Icon HistoryInlineHovered = load("vcs/historyInlineHovered.svg", 710566360, 0);
    /** 16x16 */ public static final @NotNull Icon Ignore_file = load("vcs/ignore_file.svg", -57551832, 2);
    /** 16x16 */ public static final @NotNull Icon Merge = load("vcs/merge.svg", 874653576, 2);
    /** 16x16 */ public static final @NotNull Icon Not_equal = load("vcs/not_equal.svg", -1623996029, 2);
    /** 16x16 */ public static final @NotNull Icon Patch = load("vcs/patch.svg", 2128313981, 2);
    /** 16x16 */ public static final @NotNull Icon Patch_applied = load("vcs/patch_applied.svg", -91827185, 2);
    /** 16x16 */ public static final @NotNull Icon Patch_file = load("vcs/patch_file.svg", 105956405, 0);
    /** 16x16 */ public static final @NotNull Icon Push = load("vcs/push.svg", 1140267648, 2);
    /** 16x16 */ public static final @NotNull Icon Remove = load("vcs/remove.svg", -2142023244, 2);
    /** 16x16 */ public static final @NotNull Icon Shelve = load("vcs/Shelve.svg", -1857471584, 2);
    /** 16x16 */ public static final @NotNull Icon ShelveSilent = load("vcs/shelveSilent.svg", 2099695697, 2);
    /** 16x16 */ public static final @NotNull Icon ShowUnversionedFiles = load("vcs/ShowUnversionedFiles.svg", -1993968154, 2);
    /** 16x16 */ public static final @NotNull Icon Stash = load("vcs/Stash.svg", -1422795820, 2);
    /** 16x16 */ public static final @NotNull Icon Unshelve = load("vcs/Unshelve.svg", 509403359, 2);
    /** 16x16 */ public static final @NotNull Icon UnshelveSilent = load("vcs/unshelveSilent.svg", 179777729, 2);

    public static final class Vendors {
      /** 16x16 */ public static final @NotNull Icon Github = load("vcs/vendors/github.svg", 1888395995, 2);
    }
  }

  public static final class Webreferences {
    /** 16x16 */ public static final @NotNull Icon MessageQueue = load("webreferences/messageQueue.svg", 521226102, 0);
    /** 16x16 */ public static final @NotNull Icon Server = load("webreferences/server.svg", 1524379758, 2);
    /** 16x16 */ public static final @NotNull Icon WebSocket = load("webreferences/webSocket.svg", 1740095082, 0);
  }

  public static final class Welcome {
    /** 24x24 */ public static final @NotNull Icon CreateNewProjectTab = load("welcome/createNewProjectTab.svg", 248468084, 2);
    /** 24x24 */ public static final @NotNull Icon CreateNewProjectTabSelected = load("welcome/createNewProjectTabSelected.svg", -192851221, 0);
    /** 24x24 */ public static final @NotNull Icon FromVCSTab = load("welcome/fromVCSTab.svg", -695190002, 2);
    /** 24x24 */ public static final @NotNull Icon FromVCSTabSelected = load("welcome/fromVCSTabSelected.svg", -815523628, 0);
    /** 24x24 */ public static final @NotNull Icon Open = load("welcome/open.svg", 1137367903, 2);
    /** 24x24 */ public static final @NotNull Icon OpenSelected = load("welcome/openSelected.svg", 210385900, 0);

    public static final class Project {
      /** 10x10 */ public static final @NotNull Icon RemoveHover = load("welcome/project/remove-hover.svg", 494930430, 2);
      /** 10x10 */ public static final @NotNull Icon Remove = load("welcome/project/remove.svg", -841081756, 2);
      /** 10x10 */ public static final @NotNull Icon RemoveDisabledHover = load("welcome/project/removeDisabled-hover.svg", -1331003040, 2);
      /** 10x10 */ public static final @NotNull Icon RemoveDisabled = load("welcome/project/removeDisabled.svg", -2072573079, 2);
    }

    /** @deprecated to be removed */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval
    public static final @NotNull Icon CreateNewProject = load("welcome/createNewProject.svg", 0, 0);
  }

  public static final class Windows {
    /** 16x16 */ public static final @NotNull Icon CloseActive = load("windows/closeActive.svg", -1829994645, 2);
    /** 16x16 */ public static final @NotNull Icon CloseHover = load("windows/closeHover.svg", 1137755204, 0);
    /** 16x16 */ public static final @NotNull Icon CloseInactive = load("windows/closeInactive.svg", 690636119, 2);
    /** 16x16 */ public static final @NotNull Icon CloseSmall = load("windows/closeSmall.svg", 1979717830, 2);
    /** 16x16 */ public static final @NotNull Icon Help = load("windows/help.svg", 1260543425, 2);
    /** 16x16 */ public static final @NotNull Icon HelpButton = load("windows/helpButton.svg", 1487041488, 2);
    /** 16x16 */ public static final @NotNull Icon HelpButtonInactive = load("windows/helpButtonInactive.svg", 1159473108, 2);
    /** 16x16 */ public static final @NotNull Icon HelpInactive = load("windows/helpInactive.svg", 414395489, 2);
    /** 16x16 */ public static final @NotNull Icon Maximize = load("windows/maximize.svg", 1109960695, 2);
    /** 16x16 */ public static final @NotNull Icon MaximizeInactive = load("windows/maximizeInactive.svg", -1477718158, 2);
    /** 16x16 */ public static final @NotNull Icon MaximizeSmall = load("windows/maximizeSmall.svg", 831131906, 2);
    /** 16x16 */ public static final @NotNull Icon Minimize = load("windows/minimize.svg", 1720581524, 2);
    /** 16x16 */ public static final @NotNull Icon MinimizeInactive = load("windows/minimizeInactive.svg", -1759948771, 2);
    /** 16x16 */ public static final @NotNull Icon MinimizeSmall = load("windows/minimizeSmall.svg", -678947061, 2);
    /** 16x16 */ public static final @NotNull Icon Restore = load("windows/restore.svg", 1083808300, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreInactive = load("windows/restoreInactive.svg", 810444872, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreSmall = load("windows/restoreSmall.svg", -1420322525, 2);
  }

  public static final class Xml {
    public static final class Browsers {
      /** 16x16 */ public static final @NotNull Icon Canary = load("xml/browsers/canary.svg", 589487078, 0);
      /** 16x16 */ public static final @NotNull Icon Chrome = load("xml/browsers/chrome.svg", 1536290528, 0);
      /** 16x16 */ public static final @NotNull Icon Chromium = load("xml/browsers/chromium.svg", -1698610588, 0);
      /** 16x16 */ public static final @NotNull Icon Edge = load("xml/browsers/edge.svg", 1385922370, 0);
      /** 16x16 */ public static final @NotNull Icon Explorer = load("xml/browsers/explorer.svg", 310295993, 0);
      /** 16x16 */ public static final @NotNull Icon Firefox = load("xml/browsers/firefox.svg", -466741408, 0);
      /** 16x16 */ public static final @NotNull Icon FirefoxDeveloper = load("xml/browsers/firefoxDeveloper.svg", 1659656000, 0);
      /** 16x16 */ public static final @NotNull Icon Nwjs = load("xml/browsers/nwjs.svg", 1128527915, 0);
      /** 16x16 */ public static final @NotNull Icon Opera = load("xml/browsers/opera.svg", -1288349951, 0);
      /** 16x16 */ public static final @NotNull Icon Safari = load("xml/browsers/safari.svg", -1768440962, 0);
      /** 16x16 */ public static final @NotNull Icon Yandex = load("xml/browsers/yandex.svg", -1968862051, 0);
    }

    /** 16x16 */ public static final @NotNull Icon Css_class = load("xml/css_class.svg", -2000216852, 0);
    /** 16x16 */ public static final @NotNull Icon Html5 = load("xml/html5.svg", -621332044, 0);
    /** 16x16 */ public static final @NotNull Icon Html_id = load("xml/html_id.svg", -531216802, 0);
  }

  /** @deprecated use ProductIcons.getInstance().getProductIcon() instead */
  @SuppressWarnings("unused")
  @Deprecated
  public static final @NotNull Icon Icon = load("icon.png", 0, 0);
}
